{
        Program Name : GenScreen
        Package Name : CEF
        Purpose      : Generic memory screen
        Institution  : Conroy & Conroy Co.
        Date Written : 8-July-2005
        Written By   : Alan Conroy
        Version      : 1.0A

	Copyright (C) 2005-2007 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        * 20-Jan-2007    EAC         Handle shutdown better.        *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          Provides a generic "screen" that maps memory.
}

library genscreen ;

uses
  Forms,
  _App,
  App,
  CEF,
  CEF_Screen, {TCEF_Screen}
  GenScreen_main in 'genscreen_main.pas' {GenScreen_Form};

{$R *.res}

function Facility_Code : integer ; stdcall ;

begin
    Result := CEFScreen_Facility ;
end ;


function Make_Instance( Serial_Number : integer ;
    UI : TUI_Interface ) : TCEF_Screen ; stdcall ;

begin
    Result := TCEF_Screen.Create ;
    Result.Initialize( UI ) ;
    Result._Serial_Number := Serial_Number ;
end ;


function Version : longint ;

begin
    Version := 20 ; // Version 2.0
end ;


{$WARNINGS OFF}
exports Facility_Code index 0,
        Make_Instance index 1,
        Version index 2 ;
{$WARNINGS ON}

var F : TForm ;

begin
    Application.Initialize;
    Application.CreateForm(TForm, F) ;
    F.Visible := False ;
    { VCL kills the DLL when the first created form is closed, so create this
      form so if the screen is destroyed (by terminating the CEF TComponent
      object), the DLL remains. }
end.

