unit B_Dialog_Default_Key ;

interface

uses // C&C...
     Behavior, // TSBehavior
     Events ; // PEvent

type TForm_Default_Key_Behavior = class( TBehavior )
                                      public // API...
                                          function Allow_Normal_Processing( Event : TEvent ) : boolean ;
                                              override ;
                                          procedure Execute( Event : TEvent ) ;
                                              override ;
                                  end ;

implementation

uses // Borland...
     Windows, // VK_Down

     Buttons, // TSpeedButton
     Controls, // TControl
     Forms, // TForm
     StdCtrls, // TButton
     SysUtils, // uppercase

     // C&C...
     WinEvent ; // PWindows_Key_Down_Event


// TForm_Default_Key_Behavior methods...

// API...

function TForm_Default_Key_Behavior.Allow_Normal_Processing( Event : TEvent ) : boolean ;

var E : TWindows_Key_Down_Event ;
    Form : TForm ;

begin
    // Setup...
    Result := True ;
    if( ( Event = nil ) or ( Event.Event_Type <> EID_Windows_Key_Down ) ) then
    begin
        exit ;
    end ;
    E := TWindows_Key_Down_Event( Event ) ;
    Form := TForm( E.Source ) ;

    // Process key
    if( E.Key = VK_ESCAPE ) then
    begin
        Form.ModalResult := mrCancel ;
        Result := False ;
    end ;
end ; // TForm_Default_Key_Behavior.Allow_Normal_Processing


procedure TForm_Default_Key_Behavior.Execute( Event : TEvent ) ;

begin
    // This routine intentionally left blank
end ;



end.

