{
        Program Name : Colors
        Package Name : LB
        Purpose      : Defines RGB color constants
        Institution  : Conroy & Conroy Co.
        Date Written : 12-Nov-1997
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (c) 1997-2002 by Alan Conroy.  Released to the Public Domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

}

unit Colors ;

interface

type TRGB = record
		B, G, R, A : byte ;
	    end ;
     TWide_RGB = record
		     R, G, B, A : word ;
		 end ;

const
    RGB_Alice_Blue_Wide : TWide_RGB = ( R:61680;G:63736;B:65535;A:65535 ) ;
    RGB_Antique_White_Wide : TWide_RGB = ( R:64250;G:60395;B:55255;A:65535 ) ;
    RGB_Antique_White1_Wide : TWide_RGB = ( R:65535;G:61423;B:56283;A:65535 ) ;
    RGB_Antique_White2_Wide : TWide_RGB = ( R:61166;G:57311;B:52428;A:65535 ) ;
    RGB_Antique_White3_Wide : TWide_RGB = ( R:52685;G:49344;B:45232;A:65535 ) ;
    RGB_Antique_White4_Wide : TWide_RGB = ( R:35723;G:33667;B:30840;A:65535 ) ;
    RGB_Aquamarine_Wide : TWide_RGB = ( R:32639;G:65535;B:54484;A:65535 ) ;
    RGB_Aquamarine1_Wide : TWide_RGB = ( R:32639;G:65535;B:54484;A:65535 ) ;
    RGB_Aquamarine2_Wide : TWide_RGB = ( R:30326;G:61166;B:50886;A:65535 ) ;
    RGB_Aquamarine3_Wide : TWide_RGB = ( R:26214;G:52685;B:43690;A:65535 ) ;
    RGB_Aquamarine4_Wide : TWide_RGB = ( R:17733;G:35723;B:29812;A:65535 ) ;
    RGB_Azure_Wide : TWide_RGB = ( R:61680;G:65535;B:65535;A:65535 ) ;
    RGB_Azure1_Wide : TWide_RGB = ( R:61680;G:65535;B:65535;A:65535 ) ;
    RGB_Azure2_Wide : TWide_RGB = ( R:57568;G:61166;B:61166;A:65535 ) ;
    RGB_Azure3_Wide : TWide_RGB = ( R:49601;G:52685;B:52685;A:65535 ) ;
    RGB_Azure4_Wide : TWide_RGB = ( R:33667;G:35723;B:35723;A:65535 ) ;
    RGB_Banana_Wide : TWide_RGB = ( R:58112;G:52992;B:22272;A:65535 ) ;
    RGB_Beige_Wide : TWide_RGB = ( R:62965;G:62965;B:56540;A:65535 ) ;
    RGB_Bisque_Wide : TWide_RGB = ( R:65535;G:58596;B:50372;A:65535 ) ;
    RGB_Bisque1_Wide : TWide_RGB = ( R:65535;G:58596;B:50372;A:65535 ) ;
    RGB_Bisque2_Wide : TWide_RGB = ( R:61166;G:54741;B:47031;A:65535 ) ;
    RGB_Bisque3_Wide : TWide_RGB = ( R:52685;G:47031;B:40606;A:65535 ) ;
    RGB_Bisque4_Wide : TWide_RGB = ( R:35723;G:32125;B:27499;A:65535 ) ;
    RGB_Black_Wide : TWide_RGB = ( R:0;G:0;B:0;A:65535 ) ;
    RGB_Blanched_Almond_Wide : TWide_RGB = ( R:65535;G:60395;B:52685;A:65535 ) ;
    RGB_Blue_Wide : TWide_RGB = ( R:0;G:0;B:65535;A:65535 ) ;
    RGB_Blue1_Wide : TWide_RGB = ( R:0;G:0;B:65535;A:65535 ) ;
    RGB_Blue2_Wide : TWide_RGB = ( R:0;G:0;B:61166;A:65535 ) ;
    RGB_Blue3_Wide : TWide_RGB = ( R:0;G:0;B:52685;A:65535 ) ;
    RGB_Blue4_Wide : TWide_RGB = ( R:0;G:0;B:35723;A:65535 ) ;
    RGB_Blue_Violet_Wide : TWide_RGB = ( R:35466;G:11051;B:58082;A:65535 ) ;
    RGB_Brick_Wide : TWide_RGB = ( R:39936;G:26112;B:7936;A:65535 ) ;
    RGB_Brown_Wide : TWide_RGB = ( R:42405;G:10794;B:10794;A:65535 ) ;
    RGB_Brown1_Wide : TWide_RGB = ( R:65535;G:16448;B:16448;A:65535 ) ;
    RGB_Brown2_Wide : TWide_RGB = ( R:61166;G:15163;B:15163;A:65535 ) ;
    RGB_Brown3_Wide : TWide_RGB = ( R:52685;G:13107;B:13107;A:65535 ) ;
    RGB_Brown4_Wide : TWide_RGB = ( R:35723;G:8995;B:8995;A:65535 ) ;
    RGB_Burlywood_Wide : TWide_RGB = ( R:57054;G:47288;B:34695;A:65535 ) ;
    RGB_Burlywood1_Wide : TWide_RGB = ( R:65535;G:54227;B:39835;A:65535 ) ;
    RGB_Burlywood2_Wide : TWide_RGB = ( R:61166;G:50629;B:37265;A:65535 ) ;
    RGB_Burlywood3_Wide : TWide_RGB = ( R:52685;G:43690;B:32125;A:65535 ) ;
    RGB_Burlywood4_Wide : TWide_RGB = ( R:35723;G:29555;B:21845;A:65535 ) ;
    RGB_Burnt_Sienna_Wide : TWide_RGB = ( R:35328;G:13824;B:3840;A:65535 ) ;
    RGB_Burnt_Umber_Wide : TWide_RGB = ( R:35328;G:13056;B:9216;A:65535 ) ;
    RGB_Cadet_Blue_Wide : TWide_RGB = ( R:24415;G:40606;B:41120;A:65535 ) ;
    RGB_Cadet_Blue1_Wide : TWide_RGB = ( R:39064;G:62965;B:65535;A:65535 ) ;
    RGB_Cadet_Blue2_Wide : TWide_RGB = ( R:36494;G:58853;B:61166;A:65535 ) ;
    RGB_Cadet_Blue3_Wide : TWide_RGB = ( R:31354;G:50629;B:52685;A:65535 ) ;
    RGB_Cadet_Blue4_Wide : TWide_RGB = ( R:21331;G:34438;B:35723;A:65535 ) ;
    RGB_Cadmium_Orange_Wide : TWide_RGB = ( R:65535;G:24832;B:768;A:65535 ) ;
    RGB_Cadmium_Red_Wide : TWide_RGB = ( R:0;G:12544;B:32000;A:65535 ) ;
    RGB_Cadmium_Yellow_Wise : TWide_RGB = ( R:65535;G:153;B:18;A:65535 ) ;
    RGB_Chartreuse_Wide : TWide_RGB = ( R:32639;G:65535;B:0;A:65535 ) ;
    RGB_Chartreuse1_Wide : TWide_RGB = ( R:32639;G:65535;B:0;A:65535 ) ;
    RGB_Chartreuse2_Wide : TWide_RGB = ( R:30326;G:61166;B:0;A:65535 ) ;
    RGB_Chartreuse3_Wide : TWide_RGB = ( R:26214;G:52685;B:0;A:65535 ) ;
    RGB_Chartreuse4_Wide : TWide_RGB = ( R:17733;G:35723;B:0;A:65535 ) ;
    RGB_Chocolate_Wide : TWide_RGB = ( R:53970;G:26985;B:7710;A:65535 ) ;
    RGB_Chocolate1_Wide : TWide_RGB = ( R:65535;G:32639;B:9252;A:65535 ) ;
    RGB_Chocolate2_Wide : TWide_RGB = ( R:61166;G:30326;B:8481;A:65535 ) ;
    RGB_Chocolate3_Wide : TWide_RGB = ( R:52685;G:26214;B:7453;A:65535 ) ;
    RGB_Chocolate4_Wide : TWide_RGB = ( R:35723;G:17733;B:4883;A:65535 ) ;
    RGB_Cobalt_Wide : TWide_RGB = ( R:15616;G:22784;B:43776;A:65535 ) ;
    RGB_Cobalt_Green_Wide : TWide_RGB = ( R:15616;G:37120;B:16384;A:65535 ) ;
    RGB_Coral_Wide : TWide_RGB = ( R:65535;G:32639;B:20560;A:65535 ) ;
    RGB_Coral1_Wide : TWide_RGB = ( R:65535;G:29298;B:22102;A:65535 ) ;
    RGB_Coral2_Wide : TWide_RGB = ( R:61166;G:27242;B:20560;A:65535 ) ;
    RGB_Coral3_Wide : TWide_RGB = ( R:52685;G:23387;B:17733;A:65535 ) ;
    RGB_Coral4_Wide : TWide_RGB = ( R:35723;G:15934;B:12079;A:65535 ) ;
    RGB_Cornflower_Blue_Wide : TWide_RGB = ( R:25700;G:38293;B:60909;A:65535 ) ;
    RGB_Cornsilk_Wide : TWide_RGB = ( R:65535;G:63736;B:56540;A:65535 ) ;
    RGB_Cornsilk1_Wide : TWide_RGB = ( R:65535;G:63736;B:56540;A:65535 ) ;
    RGB_Cornsilk2_Wide : TWide_RGB = ( R:61166;G:59624;B:52685;A:65535 ) ;
    RGB_Cornsilk3_Wide : TWide_RGB = ( R:52685;G:51400;B:45489;A:65535 ) ;
    RGB_Cornsilk4_Wide : TWide_RGB = ( R:35723;G:34952;B:30840;A:65535 ) ;
    RGB_Crimson_Wide : TWide_RGB = ( R:56320;G:5120;B:15360;A:65535 ) ;
    RGB_Cyan_Wide : TWide_RGB = ( R:0;G:65535;B:65535;A:65535 ) ;
    RGB_Cyan1_Wide : TWide_RGB = ( R:0;G:65535;B:65535;A:65535 ) ;
    RGB_Cyan2_Wide : TWide_RGB = ( R:0;G:61166;B:61166;A:65535 ) ;
    RGB_Cyan3_Wide : TWide_RGB = ( R:0;G:52685;B:52685;A:65535 ) ;
    RGB_Cyan4_Wide : TWide_RGB = ( R:0;G:35723;B:35723;A:65535 ) ;
    RGB_Dark_Goldenrod_Wide : TWide_RGB = ( R:47288;G:34438;B:2827;A:65535 ) ;
    RGB_Dark_Goldenrod1_Wide : TWide_RGB = ( R:65535;G:47545;B:3855;A:65535 ) ;
    RGB_Dark_Goldenrod2_Wide : TWide_RGB = ( R:61166;G:44461;B:3598;A:65535 ) ;
    RGB_Dark_Goldenrod3_Wide : TWide_RGB = ( R:52685;G:38293;B:3084;A:65535 ) ;
    RGB_Dark_Goldenrod4_Wide : TWide_RGB = ( R:35723;G:25957;B:2056;A:65535 ) ;
    RGB_Dark_Green_Wide : TWide_RGB = ( R:0;G:25700;B:0;A:65535 ) ;
    RGB_Dark_Khaki_Wide : TWide_RGB = ( R:48573;G:47031;B:27499;A:65535 ) ;
    RGB_Dark_Olive_Green_Wide : TWide_RGB = ( R:21845;G:27499;B:12079;A:65535 ) ;
    RGB_Dark_Olive_Green1_Wide : TWide_RGB = ( R:51914;G:65535;B:28784;A:65535 ) ;
    RGB_Dark_Olive_Green2_Wide : TWide_RGB = ( R:48316;G:61166;B:26728;A:65535 ) ;
    RGB_Dark_Olive_Green3_Wide : TWide_RGB = ( R:41634;G:52685;B:23130;A:65535 ) ;
    RGB_Dark_Olive_Green4_Wide : TWide_RGB = ( R:28270;G:35723;B:15677;A:65535 ) ;
    RGB_Dark_Orange_Wide : TWide_RGB = ( R:65535;G:35980;B:0;A:65535 ) ;
    RGB_Dark_Orange1_Wide : TWide_RGB = ( R:65535;G:32639;B:0;A:65535 ) ;
    RGB_Dark_Orange2_Wide : TWide_RGB = ( R:61166;G:30326;B:0;A:65535 ) ;
    RGB_Dark_Orange3_Wide : TWide_RGB = ( R:52685;G:26214;B:0;A:65535 ) ;
    RGB_Dark_Orange4_Wide : TWide_RGB = ( R:35723;G:17733;B:0;A:65535 ) ;
    RGB_Dark_orchid_Wide : TWide_RGB = ( R:39321;G:12850;B:52428;A:65535 ) ;
    RGB_Dark_Orchid1_Wide : TWide_RGB = ( R:49087;G:15934;B:65535;A:65535 ) ;
    RGB_Dark_Orchid2_Wide : TWide_RGB = ( R:45746;G:14906;B:61166;A:65535 ) ;
    RGB_Dark_Orchid3_Wide : TWide_RGB = ( R:39578;G:12850;B:52685;A:65535 ) ;
    RGB_Dark_Orchid4_Wide : TWide_RGB = ( R:26728;G:8738;B:35723;A:65535 ) ;
    RGB_Dark_Purple_Wide : TWide_RGB = ( R:20560;G:4112;B:30840;A:65535 ) ;
    RGB_Dark_Salmon_Wide : TWide_RGB = ( R:59881;G:38550;B:31354;A:65535 ) ;
    RGB_Dark_Sea_Green_Wide : TWide_RGB = ( R:36751;G:48316;B:36751;A:65535 ) ;
    RGB_Dark_Sea_Green1_Wide : TWide_RGB = ( R:49601;G:65535;B:49601;A:65535 ) ;
    RGB_Dark_Sea_Green2_Wide : TWide_RGB = ( R:46260;G:61166;B:46260;A:65535 ) ;
    RGB_Dark_Sea_Green3_Wide : TWide_RGB = ( R:39835;G:52685;B:39835;A:65535 ) ;
    RGB_Dark_Sea_Green4_Wide : TWide_RGB = ( R:26985;G:35723;B:26985;A:65535 ) ;
    RGB_Dark_Slate_Blue_Wide : TWide_RGB = ( R:18504;G:15677;B:35723;A:65535 ) ;
    RGB_Dark_Slate_Gray_Wide : TWide_RGB = ( R:12079;G:20303;B:20303;A:65535 ) ;
    RGB_Dark_Slate_Gray1_Wide : TWide_RGB = ( R:38807;G:65535;B:65535;A:65535 ) ;
    RGB_Dark_Slate_Gray2_Wide : TWide_RGB = ( R:36237;G:61166;B:61166;A:65535 ) ;
    RGB_Dark_Slate_Gray3_Wide : TWide_RGB = ( R:31097;G:52685;B:52685;A:65535 ) ;
    RGB_Dark_Slate_Gray4_Wide : TWide_RGB = ( R:21074;G:35723;B:35723;A:65535 ) ;
    RGB_Dark_Turquoise_Wide : TWide_RGB = ( R:0;G:52942;B:53713;A:65535 ) ;
    RGB_Dark_Violet_Wide : TWide_RGB = ( R:38036;G:0;B:54227;A:65535 ) ;
    RGB_Deep_Pink_Wide : TWide_RGB = ( R:65535;G:5140;B:37779;A:65535 ) ;
    RGB_Deep_Pink1_Wide : TWide_RGB = ( R:65535;G:5140;B:37779;A:65535 ) ;
    RGB_Deep_Pink2_Wide : TWide_RGB = ( R:61166;G:4626;B:35209;A:65535 ) ;
    RGB_Deep_Pink3_Wide : TWide_RGB = ( R:52685;G:4112;B:30326;A:65535 ) ;
    RGB_Deep_Pink4_Wide : TWide_RGB = ( R:35723;G:2570;B:20560;A:65535 ) ;
    RGB_Deep_Sky_Blue_Wide : TWide_RGB = ( R:0;G:49087;B:65535;A:65535 ) ;
    RGB_Deep_Sky_Blue1_Wide : TWide_RGB = ( R:0;G:49087;B:65535;A:65535 ) ;
    RGB_Deep_Sky_Blue2_Wide : TWide_RGB = ( R:0;G:45746;B:61166;A:65535 ) ;
    RGB_Deep_Sky_Blue3_Wide : TWide_RGB = ( R:0;G:39578;B:52685;A:65535 ) ;
    RGB_Deep_Sky_Blue4_Wide : TWide_RGB = ( R:0;G:26728;B:35723;A:65535 ) ;
    RGB_Dim_Gray_Wide : TWide_RGB = ( R:26985;G:26985;B:26985;A:65535 ) ;
    RGB_Dodger_Blue_Wide : TWide_RGB = ( R:7710;G:37008;B:65535;A:65535 ) ;
    RGB_Dodger_Blue1_Wide : TWide_RGB = ( R:7710;G:37008;B:65535;A:65535 ) ;
    RGB_Dodger_Blue2_Wide : TWide_RGB = ( R:7196;G:34438;B:61166;A:65535 ) ;
    RGB_Dodger_Blue3_Wide : TWide_RGB = ( R:6168;G:29812;B:52685;A:65535 ) ;
    RGB_Dodger_Blue4_Wide : TWide_RGB = ( R:4112;G:20046;B:35723;A:65535 ) ;
    RGB_Eggshell_Wide : TWide_RGB = ( R:51456;G:58880;B:51456;A:65535 ) ;
    RGB_Emerald_Green_Wide : TWide_RGB = ( R:0;G:51456;B:22272;A:65535 ) ;
    RGB_Fire_Brick_Wide : TWide_RGB = ( R:45746;G:8738;B:8738;A:65535 ) ;
    RGB_Fire_Brick1_Wide : TWide_RGB = ( R:65535;G:12336;B:12336;A:65535 ) ;
    RGB_Fire_Brick2_Wide : TWide_RGB = ( R:61166;G:11308;B:11308;A:65535 ) ;
    RGB_Fire_Brick3_Wide : TWide_RGB = ( R:52685;G:9766;B:9766;A:65535 ) ;
    RGB_Fire_Brick4_Wide : TWide_RGB = ( R:35723;G:6682;B:6682;A:65535 ) ;
    RGB_Floral_White_Wide : TWide_RGB = ( R:65535;G:64250;B:61680;A:65535 ) ;
    RGB_Forest_Green_Wide : TWide_RGB = ( R:8738;G:35723;B:8738;A:65535 ) ;
    RGB_Gainsboro_Wide : TWide_RGB = ( R:56540;G:56540;B:56540;A:65535 ) ;
    RGB_Ghost_White_Wide : TWide_RGB = ( R:63736;G:63736;B:65535;A:65535 ) ;
    RGB_Gold_Wide : TWide_RGB = ( R:65535;G:55255;B:0;A:65535 ) ;
    RGB_Gold1_Wide : TWide_RGB = ( R:65535;G:55255;B:0;A:65535 ) ;
    RGB_Gold2_Wide : TWide_RGB = ( R:61166;G:51657;B:0;A:65535 ) ;
    RGB_Gold3_Wide : TWide_RGB = ( R:52685;G:44461;B:0;A:65535 ) ;
    RGB_Gold4_Wide : TWide_RGB = ( R:35723;G:30069;B:0;A:65535 ) ;
    RGB_Goldenrod_Wide : TWide_RGB = ( R:56026;G:42405;B:8224;A:65535 ) ;
    RGB_Goldenrod1_Wide : TWide_RGB = ( R:65535;G:49601;B:9509;A:65535 ) ;
    RGB_Goldenrod2_Wide : TWide_RGB = ( R:61166;G:46260;B:8738;A:65535 ) ;
    RGB_Goldenrod3_Wide : TWide_RGB = ( R:52685;G:39835;B:7453;A:65535 ) ;
    RGB_Goldenrod4_Wide : TWide_RGB = ( R:35723;G:26985;B:5140;A:65535 ) ;
    RGB_Gray_Wide : TWide_RGB = ( R:49344;G:49344;B:49344;A:65535 ) ;
    RGB_Gray0_Wide : TWide_RGB = ( R:0;G:0;B:0;A:65535 ) ;
    RGB_Gray1_Wide : TWide_RGB = ( R:771;G:771;B:771;A:65535 ) ;
    RGB_Gray2_Wide : TWide_RGB = ( R:1285;G:1285;B:1285;A:65535 ) ;
    RGB_Gray3_Wide : TWide_RGB = ( R:2056;G:2056;B:2056;A:65535 ) ;
    RGB_Gray4_Wide : TWide_RGB = ( R:2570;G:2570;B:2570;A:65535 ) ;
    RGB_Gray5_Wide : TWide_RGB = ( R:3341;G:3341;B:3341;A:65535 ) ;
    RGB_Gray6_Wide : TWide_RGB = ( R:3855;G:3855;B:3855;A:65535 ) ;
    RGB_Gray7_Wide : TWide_RGB = ( R:4626;G:4626;B:4626;A:65535 ) ;
    RGB_Gray8_Wide : TWide_RGB = ( R:5140;G:5140;B:5140;A:65535 ) ;
    RGB_Gray9_Wide : TWide_RGB = ( R:5911;G:5911;B:5911;A:65535 ) ;
    RGB_Gray10_Wide : TWide_RGB = ( R:6682;G:6682;B:6682;A:65535 ) ;
    RGB_Gray11_Wide : TWide_RGB = ( R:7196;G:7196;B:7196;A:65535 ) ;
    RGB_Gray12_Wide : TWide_RGB = ( R:7967;G:7967;B:7967;A:65535 ) ;
    RGB_Gray13_Wide : TWide_RGB = ( R:8481;G:8481;B:8481;A:65535 ) ;
    RGB_Gray14_Wide : TWide_RGB = ( R:9252;G:9252;B:9252;A:65535 ) ;
    RGB_Gray15_Wide : TWide_RGB = ( R:9766;G:9766;B:9766;A:65535 ) ;
    RGB_Gray16_Wide : TWide_RGB = ( R:10537;G:10537;B:10537;A:65535 ) ;
    RGB_Gray17_Wide : TWide_RGB = ( R:11051;G:11051;B:11051;A:65535 ) ;
    RGB_Gray18_Wide : TWide_RGB = ( R:11822;G:11822;B:11822;A:65535 ) ;
    RGB_Gray19_Wide : TWide_RGB = ( R:12336;G:12336;B:12336;A:65535 ) ;
    RGB_Gray20_Wide : TWide_RGB = ( R:13107;G:13107;B:13107;A:65535 ) ;
    RGB_Gray21_Wide : TWide_RGB = ( R:13878;G:13878;B:13878;A:65535 ) ;
    RGB_Gray22_Wide : TWide_RGB = ( R:14392;G:14392;B:14392;A:65535 ) ;
    RGB_Gray23_Wide : TWide_RGB = ( R:15163;G:15163;B:15163;A:65535 ) ;
    RGB_Gray24_Wide : TWide_RGB = ( R:15677;G:15677;B:15677;A:65535 ) ;
    RGB_Gray25_Wide : TWide_RGB = ( R:16448;G:16448;B:16448;A:65535 ) ;
    RGB_Gray26_Wide : TWide_RGB = ( R:16962;G:16962;B:16962;A:65535 ) ;
    RGB_Gray27_Wide : TWide_RGB = ( R:17733;G:17733;B:17733;A:65535 ) ;
    RGB_Gray28_Wide : TWide_RGB = ( R:18247;G:18247;B:18247;A:65535 ) ;
    RGB_Gray29_Wide : TWide_RGB = ( R:19018;G:19018;B:19018;A:65535 ) ;
    RGB_Gray30_Wide : TWide_RGB = ( R:19789;G:19789;B:19789;A:65535 ) ;
    RGB_Gray31_Wide : TWide_RGB = ( R:20303;G:20303;B:20303;A:65535 ) ;
    RGB_Gray32_Wide : TWide_RGB = ( R:21074;G:21074;B:21074;A:65535 ) ;
    RGB_Gray33_Wide : TWide_RGB = ( R:21588;G:21588;B:21588;A:65535 ) ;
    RGB_Gray34_Wide : TWide_RGB = ( R:22359;G:22359;B:22359;A:65535 ) ;
    RGB_Gray35_Wide : TWide_RGB = ( R:22873;G:22873;B:22873;A:65535 ) ;
    RGB_Gray36_Wide : TWide_RGB = ( R:23644;G:23644;B:23644;A:65535 ) ;
    RGB_Gray37_Wide : TWide_RGB = ( R:24158;G:24158;B:24158;A:65535 ) ;
    RGB_Gray38_Wide : TWide_RGB = ( R:24929;G:24929;B:24929;A:65535 ) ;
    RGB_Gray39_Wide : TWide_RGB = ( R:25443;G:25443;B:25443;A:65535 ) ;
    RGB_Gray40_Wide : TWide_RGB = ( R:26214;G:26214;B:26214;A:65535 ) ;
    RGB_Gray41_Wide : TWide_RGB = ( R:26985;G:26985;B:26985;A:65535 ) ;
    RGB_Gray42_Wide : TWide_RGB = ( R:27499;G:27499;B:27499;A:65535 ) ;
    RGB_Gray43_Wide : TWide_RGB = ( R:28270;G:28270;B:28270;A:65535 ) ;
    RGB_Gray44_Wide : TWide_RGB = ( R:28784;G:28784;B:28784;A:65535 ) ;
    RGB_Gray45_Wide : TWide_RGB = ( R:29555;G:29555;B:29555;A:65535 ) ;
    RGB_Gray46_Wide : TWide_RGB = ( R:30069;G:30069;B:30069;A:65535 ) ;
    RGB_Gray47_Wide : TWide_RGB = ( R:30840;G:30840;B:30840;A:65535 ) ;
    RGB_Gray48_Wide : TWide_RGB = ( R:31354;G:31354;B:31354;A:65535 ) ;
    RGB_Gray49_Wide : TWide_RGB = ( R:32125;G:32125;B:32125;A:65535 ) ;
    RGB_Gray50_Wide : TWide_RGB = ( R:32639;G:32639;B:32639;A:65535 ) ;
    RGB_Gray51_Wide : TWide_RGB = ( R:33410;G:33410;B:33410;A:65535 ) ;
    RGB_Gray52_Wide : TWide_RGB = ( R:34181;G:34181;B:34181;A:65535 ) ;
    RGB_Gray53_Wide : TWide_RGB = ( R:34695;G:34695;B:34695;A:65535 ) ;
    RGB_Gray54_Wide : TWide_RGB = ( R:35466;G:35466;B:35466;A:65535 ) ;
    RGB_Gray55_Wide : TWide_RGB = ( R:35980;G:35980;B:35980;A:65535 ) ;
    RGB_Gray56_Wide : TWide_RGB = ( R:36751;G:36751;B:36751;A:65535 ) ;
    RGB_Gray57_Wide : TWide_RGB = ( R:37265;G:37265;B:37265;A:65535 ) ;
    RGB_Gray58_Wide : TWide_RGB = ( R:38036;G:38036;B:38036;A:65535 ) ;
    RGB_Gray59_Wide : TWide_RGB = ( R:38550;G:38550;B:38550;A:65535 ) ;
    RGB_Gray60_Wide : TWide_RGB = ( R:39321;G:39321;B:39321;A:65535 ) ;
    RGB_Gray61_Wide : TWide_RGB = ( R:40092;G:40092;B:40092;A:65535 ) ;
    RGB_Gray62_Wide : TWide_RGB = ( R:40606;G:40606;B:40606;A:65535 ) ;
    RGB_Gray63_Wide : TWide_RGB = ( R:41377;G:41377;B:41377;A:65535 ) ;
    RGB_Gray64_Wide : TWide_RGB = ( R:41891;G:41891;B:41891;A:65535 ) ;
    RGB_Gray65_Wide : TWide_RGB = ( R:42662;G:42662;B:42662;A:65535 ) ;
    RGB_Gray66_Wide : TWide_RGB = ( R:43176;G:43176;B:43176;A:65535 ) ;
    RGB_Gray67_Wide : TWide_RGB = ( R:43947;G:43947;B:43947;A:65535 ) ;
    RGB_Gray68_Wide : TWide_RGB = ( R:44461;G:44461;B:44461;A:65535 ) ;
    RGB_Gray69_Wide : TWide_RGB = ( R:45232;G:45232;B:45232;A:65535 ) ;
    RGB_Gray70_Wide : TWide_RGB = ( R:46003;G:46003;B:46003;A:65535 ) ;
    RGB_Gray71_Wide : TWide_RGB = ( R:46517;G:46517;B:46517;A:65535 ) ;
    RGB_Gray72_Wide : TWide_RGB = ( R:47288;G:47288;B:47288;A:65535 ) ;
    RGB_Gray73_Wide : TWide_RGB = ( R:47802;G:47802;B:47802;A:65535 ) ;
    RGB_Gray74_Wide : TWide_RGB = ( R:48573;G:48573;B:48573;A:65535 ) ;
    RGB_Gray75_Wide : TWide_RGB = ( R:49087;G:49087;B:49087;A:65535 ) ;
    RGB_Gray76_Wide : TWide_RGB = ( R:49858;G:49858;B:49858;A:65535 ) ;
    RGB_Gray77_Wide : TWide_RGB = ( R:50372;G:50372;B:50372;A:65535 ) ;
    RGB_Gray78_Wide : TWide_RGB = ( R:51143;G:51143;B:51143;A:65535 ) ;
    RGB_Gray79_Wide : TWide_RGB = ( R:51657;G:51657;B:51657;A:65535 ) ;
    RGB_Gray80_Wide : TWide_RGB = ( R:52428;G:52428;B:52428;A:65535 ) ;
    RGB_Gray81_Wide : TWide_RGB = ( R:53199;G:53199;B:53199;A:65535 ) ;
    RGB_Gray82_Wide : TWide_RGB = ( R:53713;G:53713;B:53713;A:65535 ) ;
    RGB_Gray83_Wide : TWide_RGB = ( R:54484;G:54484;B:54484;A:65535 ) ;
    RGB_Gray84_Wide : TWide_RGB = ( R:54998;G:54998;B:54998;A:65535 ) ;
    RGB_Gray85_Wide : TWide_RGB = ( R:55769;G:55769;B:55769;A:65535 ) ;
    RGB_Gray86_Wide : TWide_RGB = ( R:56283;G:56283;B:56283;A:65535 ) ;
    RGB_Gray87_Wide : TWide_RGB = ( R:57054;G:57054;B:57054;A:65535 ) ;
    RGB_Gray88_Wide : TWide_RGB = ( R:57568;G:57568;B:57568;A:65535 ) ;
    RGB_Gray89_Wide : TWide_RGB = ( R:58339;G:58339;B:58339;A:65535 ) ;
    RGB_Gray90_Wide : TWide_RGB = ( R:58853;G:58853;B:58853;A:65535 ) ;
    RGB_Gray91_Wide : TWide_RGB = ( R:59624;G:59624;B:59624;A:65535 ) ;
    RGB_Gray92_Wide : TWide_RGB = ( R:60395;G:60395;B:60395;A:65535 ) ;
    RGB_Gray93_Wide : TWide_RGB = ( R:60909;G:60909;B:60909;A:65535 ) ;
    RGB_Gray94_Wide : TWide_RGB = ( R:61680;G:61680;B:61680;A:65535 ) ;
    RGB_Gray95_Wide : TWide_RGB = ( R:62194;G:62194;B:62194;A:65535 ) ;
    RGB_Gray96_Wide : TWide_RGB = ( R:62965;G:62965;B:62965;A:65535 ) ;
    RGB_Gray97_Wide : TWide_RGB = ( R:63479;G:63479;B:63479;A:65535 ) ;
    RGB_Gray98_Wide : TWide_RGB = ( R:64250;G:64250;B:64250;A:65535 ) ;
    RGB_Gray99_Wide : TWide_RGB = ( R:64764;G:64764;B:64764;A:65535 ) ;
    RGB_Gray100_Wide : TWide_RGB = ( R:65535;G:65535;B:65535;A:65535 ) ;
    RGB_Green_Wide : TWide_RGB = ( R:0;G:65535;B:0;A:65535 ) ;
    RGB_Green1_Wide : TWide_RGB = ( R:0;G:65535;B:0;A:65535 ) ;
    RGB_Green2_Wide : TWide_RGB = ( R:0;G:61166;B:0;A:65535 ) ;
    RGB_Green3_Wide : TWide_RGB = ( R:0;G:52685;B:0;A:65535 ) ;
    RGB_Green4_Wide : TWide_RGB = ( R:0;G:35723;B:0;A:65535 ) ;
    RGB_Green_Yellow_Wide : TWide_RGB = ( R:44461;G:65535;B:12079;A:65535 ) ;
    RGB_Honeydew_Wide : TWide_RGB = ( R:61680;G:65535;B:61680;A:65535 ) ;
    RGB_Honeydew1_Wide : TWide_RGB = ( R:61680;G:65535;B:61680;A:65535 ) ;
    RGB_Honeydew2_Wide : TWide_RGB = ( R:57568;G:61166;B:57568;A:65535 ) ;
    RGB_Honeydew3_Wide : TWide_RGB = ( R:49601;G:52685;B:49601;A:65535 ) ;
    RGB_Honeydew4_Wide : TWide_RGB = ( R:33667;G:35723;B:33667;A:65535 ) ;
    RGB_Hot_Pink_Wide : TWide_RGB = ( R:65535;G:26985;B:46260;A:65535 ) ;
    RGB_Hot_Pink1_Wide : TWide_RGB = ( R:65535;G:28270;B:46260;A:65535 ) ;
    RGB_Hot_Pink2_Wide : TWide_RGB = ( R:61166;G:27242;B:42919;A:65535 ) ;
    RGB_Hot_Pink3_Wide : TWide_RGB = ( R:52685;G:24672;B:37008;A:65535 ) ;
    RGB_Hot_Pink4_Wide : TWide_RGB = ( R:35723;G:14906;B:25186;A:65535 ) ;
    RGB_Indian_Red_Wide : TWide_RGB = ( R:52685;G:23644;B:23644;A:65535 ) ;
    RGB_Indian_Red1_Wide : TWide_RGB = ( R:65535;G:27242;B:27242;A:65535 ) ;
    RGB_Indian_Red2_Wide : TWide_RGB = ( R:61166;G:25443;B:25443;A:65535 ) ;
    RGB_Indian_Red3_Wide : TWide_RGB = ( R:52685;G:21845;B:21845;A:65535 ) ;
    RGB_Indian_Red4_Wide : TWide_RGB = ( R:35723;G:14906;B:14906;A:65535 ) ;
    RGB_Ivory_Black_Wide : TWide_RGB = ( R:10496;G:9216;B:8448;A:65535 ) ;
    RGB_Ivory_Wide : TWide_RGB = ( R:65535;G:65535;B:61680;A:65535 ) ;
    RGB_Ivory1_Wide : TWide_RGB = ( R:65535;G:65535;B:61680;A:65535 ) ;
    RGB_Ivory2_Wide : TWide_RGB = ( R:61166;G:61166;B:57568;A:65535 ) ;
    RGB_Ivory3_Wide : TWide_RGB = ( R:52685;G:52685;B:49601;A:65535 ) ;
    RGB_Ivory4_Wide : TWide_RGB = ( R:35723;G:35723;B:33667;A:65535 ) ;
    RGB_Khaki_Wide : TWide_RGB = ( R:61680;G:59110;B:35980;A:65535 ) ;
    RGB_Khaki1_Wide : TWide_RGB = ( R:65535;G:63222;B:36751;A:65535 ) ;
    RGB_Khaki2_Wide : TWide_RGB = ( R:61166;G:59110;B:34181;A:65535 ) ;
    RGB_Khaki3_Wide : TWide_RGB = ( R:52685;G:50886;B:29555;A:65535 ) ;
    RGB_Khaki4_Wide : TWide_RGB = ( R:35723;G:34438;B:20046;A:65535 ) ;
    RGB_Lavender_Wide : TWide_RGB = ( R:59110;G:59110;B:64250;A:65535 ) ;
    RGB_Lavender_Blush_Wide : TWide_RGB = ( R:65535;G:61680;B:62965;A:65535 ) ;
    RGB_Lavender_Blush1_Wide : TWide_RGB = ( R:65535;G:61680;B:62965;A:65535 ) ;
    RGB_Lavender_Blush2_Wide : TWide_RGB = ( R:61166;G:57568;B:58853;A:65535 ) ;
    RGB_Lavender_Blush3_Wide : TWide_RGB = ( R:52685;G:49601;B:50629;A:65535 ) ;
    RGB_Lavender_Blush4_Wide : TWide_RGB = ( R:35723;G:33667;B:34438;A:65535 ) ;
    RGB_Lawn_Green_Wide : TWide_RGB = ( R:31868;G:64764;B:0;A:65535 ) ;
    RGB_Lemon_Chiffon_Wide : TWide_RGB = ( R:65535;G:64250;B:52685;A:65535 ) ;
    RGB_Lemon_Chiffon1_Wide : TWide_RGB = ( R:65535;G:64250;B:52685;A:65535 ) ;
    RGB_Lemon_Chiffon2_Wide : TWide_RGB = ( R:61166;G:59881;B:49087;A:65535 ) ;
    RGB_Lemon_Chiffon3_Wide : TWide_RGB = ( R:52685;G:51657;B:42405;A:65535 ) ;
    RGB_Lemon_Chiffon4_Wide : TWide_RGB = ( R:35723;G:35209;B:28784;A:65535 ) ;
    RGB_Light_Blue_Wide : TWide_RGB = ( R:44461;G:55512;B:59110;A:65535 ) ;
    RGB_Light_Blue1_Wide : TWide_RGB = ( R:49087;G:61423;B:65535;A:65535 ) ;
    RGB_Light_Blue2_Wide : TWide_RGB = ( R:45746;G:57311;B:61166;A:65535 ) ;
    RGB_Light_Blue3_Wide : TWide_RGB = ( R:39578;G:49344;B:52685;A:65535 ) ;
    RGB_Light_Blue4_Wide : TWide_RGB = ( R:26728;G:33667;B:35723;A:65535 ) ;
    RGB_Light_Coral_Wide : TWide_RGB = ( R:61680;G:32896;B:32896;A:65535 ) ;
    RGB_Light_Cyan_Wide : TWide_RGB = ( R:57568;G:65535;B:65535;A:65535 ) ;
    RGB_Light_Cyan1_Wide : TWide_RGB = ( R:57568;G:65535;B:65535;A:65535 ) ;
    RGB_Light_Cyan2_Wide : TWide_RGB = ( R:53713;G:61166;B:61166;A:65535 ) ;
    RGB_Light_Cyan3_Wide : TWide_RGB = ( R:46260;G:52685;B:52685;A:65535 ) ;
    RGB_Light_Cyan4_Wide : TWide_RGB = ( R:31354;G:35723;B:35723;A:65535 ) ;
    RGB_Light_goldenrod_Wide : TWide_RGB = ( R:61166;G:56797;B:33410;A:65535 ) ;
    RGB_Light_Goldenrod1_Wide : TWide_RGB = ( R:65535;G:60652;B:35723;A:65535 ) ;
    RGB_Light_Goldenrod2_Wide : TWide_RGB = ( R:61166;G:56540;B:33410;A:65535 ) ;
    RGB_Light_Goldenrod3_Wide : TWide_RGB = ( R:52685;G:48830;B:28784;A:65535 ) ;
    RGB_Light_Goldenrod4_Wide : TWide_RGB = ( R:35723;G:33153;B:19532;A:65535 ) ;
    RGB_Light_Goldenrod_yellow_Wide : TWide_RGB = ( R:64250;G:64250;B:53970;A:65535 ) ;
    RGB_Light_Gray_Wide : TWide_RGB = ( R:54227;G:54227;B:54227;A:65535 ) ;
    RGB_Light_Pink_Wide : TWide_RGB = ( R:65535;G:46774;B:49601;A:65535 ) ;
    RGB_Light_Pink1_Wide : TWide_RGB = ( R:65535;G:44718;B:47545;A:65535 ) ;
    RGB_Light_Pink2_Wide : TWide_RGB = ( R:61166;G:41634;B:44461;A:65535 ) ;
    RGB_Light_Pink3_Wide : TWide_RGB = ( R:52685;G:35980;B:38293;A:65535 ) ;
    RGB_Light_Pink4_Wide : TWide_RGB = ( R:35723;G:24415;B:25957;A:65535 ) ;
    RGB_Light_Salmon_Wide : TWide_RGB = ( R:65535;G:41120;B:31354;A:65535 ) ;
    RGB_Light_Salmon1_Wide : TWide_RGB = ( R:65535;G:41120;B:31354;A:65535 ) ;
    RGB_Light_Salmon2_Wide : TWide_RGB = ( R:61166;G:38293;B:29298;A:65535 ) ;
    RGB_Light_Salmon3_Wide : TWide_RGB = ( R:52685;G:33153;B:25186;A:65535 ) ;
    RGB_Light_Salmon4_Wide : TWide_RGB = ( R:35723;G:22359;B:16962;A:65535 ) ;
    RGB_Light_Sea_Green_Wide : TWide_RGB = ( R:8224;G:45746;B:43690;A:65535 ) ;
    RGB_Light_Sky_Blue_Wide : TWide_RGB = ( R:34695;G:52942;B:64250;A:65535 ) ;
    RGB_Light_Sky_Blue1_Wide : TWide_RGB = ( R:45232;G:58082;B:65535;A:65535 ) ;
    RGB_Light_Sky_Blue2_Wide : TWide_RGB = ( R:42148;G:54227;B:61166;A:65535 ) ;
    RGB_Light_Sky_Blue3_Wide : TWide_RGB = ( R:36237;G:46774;B:52685;A:65535 ) ;
    RGB_Light_Sky_Blue4_Wide : TWide_RGB = ( R:24672;G:31611;B:35723;A:65535 ) ;
    RGB_Light_Slate_Blue_Wide : TWide_RGB = ( R:33924;G:28784;B:65535;A:65535 ) ;
    RGB_Light_Slate_Gray_Wide : TWide_RGB = ( R:30583;G:34952;B:39321;A:65535 ) ;
    RGB_Light_Steel_Blue_Wide : TWide_RGB = ( R:45232;G:50372;B:57054;A:65535 ) ;
    RGB_Light_Steel_Blue1_Wide : TWide_RGB = ( R:51914;G:57825;B:65535;A:65535 ) ;
    RGB_Light_Steel_Blue2_Wide : TWide_RGB = ( R:48316;G:53970;B:61166;A:65535 ) ;
    RGB_Light_Steel_Blue3_Wide : TWide_RGB = ( R:41634;G:46517;B:52685;A:65535 ) ;
    RGB_Light_Steel_Blue4_Wide : TWide_RGB = ( R:28270;G:31611;B:35723;A:65535 ) ;
    RGB_Light_Yellow_Wide : TWide_RGB = ( R:65535;G:65535;B:57568;A:65535 ) ;
    RGB_Light_Yellow1_Wide : TWide_RGB = ( R:65535;G:65535;B:57568;A:65535 ) ;
    RGB_Light_Yellow2_Wide : TWide_RGB = ( R:61166;G:61166;B:53713;A:65535 ) ;
    RGB_Light_Yellow3_Wide : TWide_RGB = ( R:52685;G:52685;B:46260;A:65535 ) ;
    RGB_Light_Yellow4_Wide : TWide_RGB = ( R:35723;G:35723;B:31354;A:65535 ) ;
    RGB_Lime_Green_Wide : TWide_RGB = ( R:12850;G:52685;B:12850;A:65535 ) ;
    RGB_Linen_Wide : TWide_RGB = ( R:64250;G:61680;B:59110;A:65535 ) ;
    RGB_Magenta_Wide : TWide_RGB = ( R:65535;G:0;B:65535;A:65535 ) ;
    RGB_Magenta1_Wide : TWide_RGB = ( R:65535;G:0;B:65535;A:65535 ) ;
    RGB_Magenta2_Wide : TWide_RGB = ( R:61166;G:0;B:61166;A:65535 ) ;
    RGB_Magenta3_Wide : TWide_RGB = ( R:52685;G:0;B:52685;A:65535 ) ;
    RGB_Magenta4_Wide : TWide_RGB = ( R:35723;G:0;B:35723;A:65535 ) ;
    RGB_Manganese_Blue_Wide : TWide_RGB = ( R:768;G:43008;B:40448;A:65535 ) ;
    RGB_Maroon_Wide : TWide_RGB = ( R:45232;G:12336;B:24672;A:65535 ) ;
    RGB_Maroon1_Wide : TWide_RGB = ( R:65535;G:13364;B:46003;A:65535 ) ;
    RGB_Maroon2_Wide : TWide_RGB = ( R:61166;G:12336;B:42919;A:65535 ) ;
    RGB_Maroon3_Wide : TWide_RGB = ( R:52685;G:10537;B:37008;A:65535 ) ;
    RGB_Maroon4_Wide : TWide_RGB = ( R:35723;G:7196;B:25186;A:65535 ) ;
    RGB_Medium_Aquamarine_Wide : TWide_RGB = ( R:26214;G:52685;B:43690;A:65535 ) ;
    RGB_Medium_Blue_Wide : TWide_RGB = ( R:0;G:0;B:52685;A:65535 ) ;
    RGB_Medium_Forest_Green_Wide : TWide_RGB = ( R:27392;G:36352;B:8960;A:65535 ) ;
    RGB_Medium_Goldenrod_Wide : TWide_RGB = ( R:65535;G:48494;B:14417;A:65535 ) ;
    RGB_Medium_Orchid_Wide : TWide_RGB = ( R:47802;G:21845;B:54227;A:65535 ) ;
    RGB_Medium_Orchid1_Wide : TWide_RGB = ( R:57568;G:26214;B:65535;A:65535 ) ;
    RGB_Medium_Orchid2_Wide : TWide_RGB = ( R:53713;G:24415;B:61166;A:65535 ) ;
    RGB_Medium_Orchid3_Wide : TWide_RGB = ( R:46260;G:21074;B:52685;A:65535 ) ;
    RGB_Medium_Orchid4_Wide : TWide_RGB = ( R:31354;G:14135;B:35723;A:65535 ) ;
    RGB_Medium_Purple_Wide : TWide_RGB = ( R:37779;G:28784;B:56283;A:65535 ) ;
    RGB_Medium_Purple1_Wide : TWide_RGB = ( R:43947;G:33410;B:65535;A:65535 ) ;
    RGB_Medium_Purple2_Wide : TWide_RGB = ( R:40863;G:31097;B:61166;A:65535 ) ;
    RGB_Medium_Purple3_Wide : TWide_RGB = ( R:35209;G:26728;B:52685;A:65535 ) ;
    RGB_Medium_Purple4_Wide : TWide_RGB = ( R:23901;G:18247;B:35723;A:65535 ) ;
    RGB_Medium_Sea_Green_Wide : TWide_RGB = ( R:15420;G:46003;B:29041;A:65535 ) ;
    RGB_Medium_Slate_Blue_Wide : TWide_RGB = ( R:31611;G:26728;B:61166;A:65535 ) ;
    RGB_Medium_Spring_Green_Wide : TWide_RGB = ( R:0;G:64250;B:39578;A:65535 ) ;
    RGB_Medium_Turquoise_Wide : TWide_RGB = ( R:18504;G:53713;B:52428;A:65535 ) ;
    RGB_Medium_Violet_Red_Wide : TWide_RGB = ( R:51143;G:5397;B:34181;A:65535 ) ;
    RGB_Melon_Wide : TWide_RGB = ( R:58112;G:43008;B:26880;A:65535 ) ;
    RGB_Midnight_Blue_Wide : TWide_RGB = ( R:6425;G:6425;B:28784;A:65535 ) ;
    RGB_Mint_Cream_Wide : TWide_RGB = ( R:62965;G:65535;B:64250;A:65535 ) ;
    RGB_Misty_Rose_Wide : TWide_RGB = ( R:65535;G:58596;B:57825;A:65535 ) ;
    RGB_Misty_Rose1_Wide : TWide_RGB = ( R:65535;G:58596;B:57825;A:65535 ) ;
    RGB_Misty_Rose2_Wide : TWide_RGB = ( R:61166;G:54741;B:53970;A:65535 ) ;
    RGB_Misty_Rose3_Wide : TWide_RGB = ( R:52685;G:47031;B:46517;A:65535 ) ;
    RGB_Misty_Rose4_Wide : TWide_RGB = ( R:35723;G:32125;B:31611;A:65535 ) ;
    RGB_Moccasin_Wide : TWide_RGB = ( R:65535;G:58596;B:46517;A:65535 ) ;
    RGB_Navajo_White_Wide : TWide_RGB = ( R:65535;G:57054;B:44461;A:65535 ) ;
    RGB_Navajo_White1_Wide : TWide_RGB = ( R:65535;G:57054;B:44461;A:65535 ) ;
    RGB_Navajo_White2_Wide : TWide_RGB = ( R:61166;G:53199;B:41377;A:65535 ) ;
    RGB_Navajo_White3_Wide : TWide_RGB = ( R:52685;G:46003;B:35723;A:65535 ) ;
    RGB_Navajo_White4_Wide : TWide_RGB = ( R:35723;G:31097;B:24158;A:65535 ) ;
    RGB_Navy_Wide : TWide_RGB = ( R:0;G:0;B:32896;A:65535 ) ;
    RGB_Navy_Blue_Wide : TWide_RGB = ( R:0;G:0;B:32896;A:65535 ) ;
    RGB_Old_Lace_Wide : TWide_RGB = ( R:65021;G:62965;B:59110;A:65535 ) ;
    RGB_Olive_Drab_Wide : TWide_RGB = ( R:27499;G:36494;B:8995;A:65535 ) ;
    RGB_Olive_Drab1_Wide : TWide_RGB = ( R:49344;G:65535;B:15934;A:65535 ) ;
    RGB_Olive_Drab2_Wide : TWide_RGB = ( R:46003;G:61166;B:14906;A:65535 ) ;
    RGB_Olive_Drab3_Wide : TWide_RGB = ( R:39578;G:52685;B:12850;A:65535 ) ;
    RGB_Olive_Drab4_Wide : TWide_RGB = ( R:26985;G:35723;B:8738;A:65535 ) ;
    RGB_Orange_Wide : TWide_RGB = ( R:65535;G:42405;B:0;A:65535 ) ;
    RGB_Orange1_Wide : TWide_RGB = ( R:65535;G:42405;B:0;A:65535 ) ;
    RGB_Orange2_Wide : TWide_RGB = ( R:61166;G:39578;B:0;A:65535 ) ;
    RGB_Orange3_Wide : TWide_RGB = ( R:52685;G:34181;B:0;A:65535 ) ;
    RGB_Orange4_Wide : TWide_RGB = ( R:35723;G:23130;B:0;A:65535 ) ;
    RGB_Orange_Red_Wide : TWide_RGB = ( R:65535;G:17733;B:0;A:65535 ) ;
    RGB_Orange_Red1_Wide : TWide_RGB = ( R:65535;G:17733;B:0;A:65535 ) ;
    RGB_Orange_Red2_Wide : TWide_RGB = ( R:61166;G:16448;B:0;A:65535 ) ;
    RGB_Orange_Red3_Wide : TWide_RGB = ( R:52685;G:14135;B:0;A:65535 ) ;
    RGB_Orange_Red4_Wide : TWide_RGB = ( R:35723;G:9509;B:0;A:65535 ) ;
    RGB_Orchid_Wide : TWide_RGB = ( R:56026;G:28784;B:54998;A:65535 ) ;
    RGB_Orchid1_Wide : TWide_RGB = ( R:65535;G:33667;B:64250;A:65535 ) ;
    RGB_Orchid2_Wide : TWide_RGB = ( R:61166;G:31354;B:59881;A:65535 ) ;
    RGB_Orchid3_Wide : TWide_RGB = ( R:52685;G:26985;B:51657;A:65535 ) ;
    RGB_Orchid4_Wide : TWide_RGB = ( R:35723;G:18247;B:35209;A:65535 ) ;
    RGB_Pale_Goldenrod_Wide : TWide_RGB = ( R:61166;G:59624;B:43690;A:65535 ) ;
    RGB_Pale_Green_Wide : TWide_RGB = ( R:39064;G:64507;B:39064;A:65535 ) ;
    RGB_Pale_Green1_Wide : TWide_RGB = ( R:39578;G:65535;B:39578;A:65535 ) ;
    RGB_Pale_Green2_Wide : TWide_RGB = ( R:37008;G:61166;B:37008;A:65535 ) ;
    RGB_Pale_Green3_Wide : TWide_RGB = ( R:31868;G:52685;B:31868;A:65535 ) ;
    RGB_Pale_Green4_Wide : TWide_RGB = ( R:21588;G:35723;B:21588;A:65535 ) ;
    RGB_Pale_Turquoise_Wide : TWide_RGB = ( R:44975;G:61166;B:61166;A:65535 ) ;
    RGB_Pale_Turquoise1_Wide : TWide_RGB = ( R:48059;G:65535;B:65535;A:65535 ) ;
    RGB_Pale_Turquoise2_Wide : TWide_RGB = ( R:44718;G:61166;B:61166;A:65535 ) ;
    RGB_Pale_Turquoise3_Wide : TWide_RGB = ( R:38550;G:52685;B:52685;A:65535 ) ;
    RGB_Pale_Turquoise4_Wide : TWide_RGB = ( R:26214;G:35723;B:35723;A:65535 ) ;
    RGB_Pale_Violet_Red_Wide : TWide_RGB = ( R:56283;G:28784;B:37779;A:65535 ) ;
    RGB_Pale_Violet_Red1_Wide : TWide_RGB = ( R:65535;G:33410;B:43947;A:65535 ) ;
    RGB_Pale_Violet_Red2_Wide : TWide_RGB = ( R:61166;G:31097;B:40863;A:65535 ) ;
    RGB_Pale_Violet_Red3_Wide : TWide_RGB = ( R:52685;G:26728;B:35209;A:65535 ) ;
    RGB_Pale_Violet_Red4_Wide : TWide_RGB = ( R:35723;G:18247;B:23901;A:65535 ) ;
    RGB_Papaya_Whip_Wide : TWide_RGB = ( R:65535;G:61423;B:54741;A:65535 ) ;
    RGB_Peach_Puff_Wide : TWide_RGB = ( R:65535;G:56026;B:47545;A:65535 ) ;
    RGB_Peach_Puff1_Wide : TWide_RGB = ( R:65535;G:56026;B:47545;A:65535 ) ;
    RGB_Peach_Puff2_Wide : TWide_RGB = ( R:61166;G:52171;B:44461;A:65535 ) ;
    RGB_Peach_Puff3_Wide : TWide_RGB = ( R:52685;G:44975;B:38293;A:65535 ) ;
    RGB_Peach_Puff4_Wide : TWide_RGB = ( R:35723;G:30583;B:25957;A:65535 ) ;
    RGB_Peacock_Wide : TWide_RGB = ( R:13056;G:41216;B:51456;A:65535 ) ;
    RGB_Peru_Wide : TWide_RGB = ( R:52685;G:34181;B:16191;A:65535 ) ;
    RGB_Pink_Wide : TWide_RGB = ( R:65535;G:49344;B:52171;A:65535 ) ;
    RGB_Pink1_Wide : TWide_RGB = ( R:65535;G:46517;B:50629;A:65535 ) ;
    RGB_Pink2_Wide : TWide_RGB = ( R:61166;G:43433;B:47288;A:65535 ) ;
    RGB_Pink3_Wide : TWide_RGB = ( R:52685;G:37265;B:40606;A:65535 ) ;
    RGB_Pink4_Wide : TWide_RGB = ( R:35723;G:25443;B:27756;A:65535 ) ;
    RGB_Plum_Wide : TWide_RGB = ( R:56797;G:41120;B:56797;A:65535 ) ;
    RGB_Plum1_Wide : TWide_RGB = ( R:65535;G:48059;B:65535;A:65535 ) ;
    RGB_Plum2_Wide : TWide_RGB = ( R:61166;G:44718;B:61166;A:65535 ) ;
    RGB_Plum3_Wide : TWide_RGB = ( R:52685;G:38550;B:52685;A:65535 ) ;
    RGB_Plum4_Wide : TWide_RGB = ( R:35723;G:26214;B:35723;A:65535 ) ;
    RGB_Powder_Blue_Wide : TWide_RGB = ( R:45232;G:57568;B:59110;A:65535 ) ;
    RGB_Puce_Wide : TWide_RGB = ( R:22016;G:2816;B:15360;A:65535 ) ;
    RGB_Purple_Wide : TWide_RGB = ( R:41120;G:8224;B:61680;A:65535 ) ;
    RGB_Purple1_Wide : TWide_RGB = ( R:39835;G:12336;B:65535;A:65535 ) ;
    RGB_Purple2_Wide : TWide_RGB = ( R:37265;G:11308;B:61166;A:65535 ) ;
    RGB_Purple3_Wide : TWide_RGB = ( R:32125;G:9766;B:52685;A:65535 ) ;
    RGB_Purple4_Wide : TWide_RGB = ( R:21845;G:6682;B:35723;A:65535 ) ;
    RGB_Raspberry_Wide : TWide_RGB = ( R:34560;G:9728;B:22272;A:65535 ) ;
    RGB_Raw_Sienna_Wide : TWide_RGB = ( R:50944;G:24832;B:5120;A:65535 ) ;
    RGB_Raw_Umber_Wide : TWide_RGB = ( R:29440;G:18944;B:4608;A:65535 ) ;
    RGB_Red_Wide : TWide_RGB = ( R:65535;G:0;B:0;A:65535 ) ;
    RGB_Red1_Wide : TWide_RGB = ( R:65535;G:0;B:0;A:65535 ) ;
    RGB_Red2_Wide : TWide_RGB = ( R:61166;G:0;B:0;A:65535 ) ;
    RGB_Red3_Wide : TWide_RGB = ( R:52685;G:0;B:0;A:65535 ) ;
    RGB_Red4_Wide : TWide_RGB = ( R:35723;G:0;B:0;A:65535 ) ;
    RGB_Rosy_Brown_Wide : TWide_RGB = ( R:48316;G:36751;B:36751;A:65535 ) ;
    RGB_Rosy_Brown1_Wide : TWide_RGB = ( R:65535;G:49601;B:49601;A:65535 ) ;
    RGB_Rosy_Brown2_Wide : TWide_RGB = ( R:61166;G:46260;B:46260;A:65535 ) ;
    RGB_Rosy_Brown3_Wide : TWide_RGB = ( R:52685;G:39835;B:39835;A:65535 ) ;
    RGB_Rosy_Brown4_Wide : TWide_RGB = ( R:35723;G:26985;B:26985;A:65535 ) ;
    RGB_Royal_Blue_Wide : TWide_RGB = ( R:16705;G:26985;B:57825;A:65535 ) ;
    RGB_Royal_Blue1_Wide : TWide_RGB = ( R:18504;G:30326;B:65535;A:65535 ) ;
    RGB_Royal_Blue2_Wide : TWide_RGB = ( R:17219;G:28270;B:61166;A:65535 ) ;
    RGB_Royal_Blue3_Wide : TWide_RGB = ( R:14906;G:24415;B:52685;A:65535 ) ;
    RGB_Royal_Blue4_Wide : TWide_RGB = ( R:10023;G:16448;B:35723;A:65535 ) ;
    RGB_Saddle_Brown_Wide : TWide_RGB = ( R:35723;G:17733;B:4883;A:65535 ) ;
    RGB_Salmon_Wide : TWide_RGB = ( R:64250;G:32896;B:29298;A:65535 ) ;
    RGB_Salmon1_Wide : TWide_RGB = ( R:65535;G:35980;B:26985;A:65535 ) ;
    RGB_Salmon2_Wide : TWide_RGB = ( R:61166;G:33410;B:25186;A:65535 ) ;
    RGB_Salmon3_Wide : TWide_RGB = ( R:52685;G:28784;B:21588;A:65535 ) ;
    RGB_Salmon4_Wide : TWide_RGB = ( R:35723;G:19532;B:14649;A:65535 ) ;
    RGB_Sandy_Brown_Wide : TWide_RGB = ( R:62708;G:42148;B:24672;A:65535 ) ;
    RGB_Sap_Green_Wide : TWide_RGB = ( R:12288;G:32768;B:5120;A:65535 ) ;
    RGB_Sea_Green_Wide : TWide_RGB = ( R:11822;G:35723;B:22359;A:65535 ) ;
    RGB_Sea_Green1_Wide : TWide_RGB = ( R:21588;G:65535;B:40863;A:65535 ) ;
    RGB_Sea_Green2_Wide : TWide_RGB = ( R:20046;G:61166;B:38036;A:65535 ) ;
    RGB_Sea_Green3_Wide : TWide_RGB = ( R:17219;G:52685;B:32896;A:65535 ) ;
    RGB_Sea_Green4_Wide : TWide_RGB = ( R:11822;G:35723;B:22359;A:65535 ) ;
    RGB_Seashell_Wide : TWide_RGB = ( R:65535;G:62965;B:61166;A:65535 ) ;
    RGB_Seashell1_Wide : TWide_RGB = ( R:65535;G:62965;B:61166;A:65535 ) ;
    RGB_Seashell2_Wide : TWide_RGB = ( R:61166;G:58853;B:57054;A:65535 ) ;
    RGB_Seashell3_Wide : TWide_RGB = ( R:52685;G:50629;B:49087;A:65535 ) ;
    RGB_Seashell4_Wide : TWide_RGB = ( R:35723;G:34438;B:33410;A:65535 ) ;
    RGB_Sepia_Wide : TWide_RGB = ( R:24064;G:9728;B:4608;A:65535 ) ;
    RGB_Sienna_Wide : TWide_RGB = ( R:41120;G:21074;B:11565;A:65535 ) ;
    RGB_Sienna1_Wide : TWide_RGB = ( R:65535;G:33410;B:18247;A:65535 ) ;
    RGB_Sienna2_Wide : TWide_RGB = ( R:61166;G:31097;B:16962;A:65535 ) ;
    RGB_Sienna3_Wide : TWide_RGB = ( R:52685;G:26728;B:14649;A:65535 ) ;
    RGB_Sienna4_Wide : TWide_RGB = ( R:35723;G:18247;B:9766;A:65535 ) ;
    RGB_Sky_Blue_Wide : TWide_RGB = ( R:34695;G:52942;B:60395;A:65535 ) ;
    RGB_Sky_Blue1_Wide : TWide_RGB = ( R:34695;G:52942;B:65535;A:65535 ) ;
    RGB_Sky_Blue2_Wide : TWide_RGB = ( R:32382;G:49344;B:61166;A:65535 ) ;
    RGB_Sky_Blue3_Wide : TWide_RGB = ( R:27756;G:42662;B:52685;A:65535 ) ;
    RGB_Sky_Blue4_Wide : TWide_RGB = ( R:19018;G:28784;B:35723;A:65535 ) ;
    RGB_Slate_Blue_Wide : TWide_RGB = ( R:27242;G:23130;B:52685;A:65535 ) ;
    RGB_Slate_Blue1_Wide : TWide_RGB = ( R:33667;G:28527;B:65535;A:65535 ) ;
    RGB_Slate_Blue2_Wide : TWide_RGB = ( R:31354;G:26471;B:61166;A:65535 ) ;
    RGB_Slate_Blue3_Wide : TWide_RGB = ( R:26985;G:22873;B:52685;A:65535 ) ;
    RGB_Slate_Blue4_Wide : TWide_RGB = ( R:18247;G:15420;B:35723;A:65535 ) ;
    RGB_Slate_Gray_Wide : TWide_RGB = ( R:28784;G:32896;B:37008;A:65535 ) ;
    RGB_Slate_Gray1_Wide : TWide_RGB = ( R:50886;G:58082;B:65535;A:65535 ) ;
    RGB_Slate_Gray2_Wide : TWide_RGB = ( R:47545;G:54227;B:61166;A:65535 ) ;
    RGB_Slate_Gray3_Wide : TWide_RGB = ( R:40863;G:46774;B:52685;A:65535 ) ;
    RGB_Slate_Gray4_Wide : TWide_RGB = ( R:27756;G:31611;B:35723;A:65535 ) ;
    RGB_Snow_Wide : TWide_RGB = ( R:65535;G:64250;B:64250;A:65535 ) ;
    RGB_Snow1_Wide : TWide_RGB = ( R:65535;G:64250;B:64250;A:65535 ) ;
    RGB_Snow2_Wide : TWide_RGB = ( R:61166;G:59881;B:59881;A:65535 ) ;
    RGB_Snow3_Wide : TWide_RGB = ( R:52685;G:51657;B:51657;A:65535 ) ;
    RGB_Snow4_Wide : TWide_RGB = ( R:35723;G:35209;B:35209;A:65535 ) ;
    RGB_Spring_green_Wide : TWide_RGB = ( R:0;G:65535;B:32639;A:65535 ) ;
    RGB_Spring_Green1_Wide : TWide_RGB = ( R:0;G:65535;B:32639;A:65535 ) ;
    RGB_Spring_Green2_Wide : TWide_RGB = ( R:0;G:61166;B:30326;A:65535 ) ;
    RGB_Spring_Green3_Wide : TWide_RGB = ( R:0;G:52685;B:26214;A:65535 ) ;
    RGB_Spring_Green4_Wide : TWide_RGB = ( R:0;G:35723;B:17733;A:65535 ) ;
    RGB_Steel_Blue_Wide : TWide_RGB = ( R:17990;G:33410;B:46260;A:65535 ) ;
    RGB_Steel_Blue1_Wide : TWide_RGB = ( R:25443;G:47288;B:65535;A:65535 ) ;
    RGB_Steel_Blue2_Wide : TWide_RGB = ( R:23644;G:44204;B:61166;A:65535 ) ;
    RGB_Steel_Blue3_Wide : TWide_RGB = ( R:20303;G:38036;B:52685;A:65535 ) ;
    RGB_Steel_Blue4_Wide : TWide_RGB = ( R:13878;G:25700;B:35723;A:65535 ) ;
    RGB_Tan_Wide : TWide_RGB = ( R:53970;G:46260;B:35980;A:65535 ) ;
    RGB_Tan1_Wide : TWide_RGB = ( R:65535;G:42405;B:20303;A:65535 ) ;
    RGB_Tan2_Wide : TWide_RGB = ( R:61166;G:39578;B:18761;A:65535 ) ;
    RGB_Tan3_Wide : TWide_RGB = ( R:52685;G:34181;B:16191;A:65535 ) ;
    RGB_Tan4_Wide : TWide_RGB = ( R:35723;G:23130;B:11051;A:65535 ) ;
    RGB_Terre_Verte_Wide : TWide_RGB = ( R:0;G:34048;B:61184;A:65535 ) ;
    RGB_Thistle_Wide : TWide_RGB = ( R:55512;G:49087;B:55512;A:65535 ) ;
    RGB_Thistle1_Wide : TWide_RGB = ( R:65535;G:57825;B:65535;A:65535 ) ;
    RGB_Thistle2_Wide : TWide_RGB = ( R:61166;G:53970;B:61166;A:65535 ) ;
    RGB_Thistle3_Wide : TWide_RGB = ( R:52685;G:46517;B:52685;A:65535 ) ;
    RGB_Thistle4_Wide : TWide_RGB = ( R:35723;G:31611;B:35723;A:65535 ) ;
    RGB_Tomato_Wide : TWide_RGB = ( R:65535;G:25443;B:18247;A:65535 ) ;
    RGB_Tomato1_Wide : TWide_RGB = ( R:65535;G:25443;B:18247;A:65535 ) ;
    RGB_Tomato2_Wide : TWide_RGB = ( R:61166;G:23644;B:16962;A:65535 ) ;
    RGB_Tomato3_Wide : TWide_RGB = ( R:52685;G:20303;B:14649;A:65535 ) ;
    RGB_Tomato4_Wide : TWide_RGB = ( R:35723;G:13878;B:9766;A:65535 ) ;
    RGB_Turquoise_Wide : TWide_RGB = ( R:16448;G:57568;B:53456;A:65535 ) ;
    RGB_Turquoise1_Wide : TWide_RGB = ( R:0;G:62965;B:65535;A:65535 ) ;
    RGB_Turquoise2_Wide : TWide_RGB = ( R:0;G:58853;B:61166;A:65535 ) ;
    RGB_Turquoise3_Wide : TWide_RGB = ( R:0;G:50629;B:52685;A:65535 ) ;
    RGB_Turquoise4_Wide : TWide_RGB = ( R:0;G:34438;B:35723;A:65535 ) ;
    RGB_Ultramarine_Wide : TWide_RGB = ( R:0;G:10752;B:36608;A:65535 ) ;
    RGB_Violet_Wide : TWide_RGB = ( R:61166;G:33410;B:61166;A:65535 ) ;
    RGB_Violet_Red_Wide : TWide_RGB = ( R:53456;G:8224;B:37008;A:65535 ) ;
    RGB_Violet_Red1_Wide : TWide_RGB = ( R:65535;G:15934;B:38550;A:65535 ) ;
    RGB_Violet_Red2_Wide : TWide_RGB = ( R:61166;G:14906;B:35980;A:65535 ) ;
    RGB_Violet_Red3_Wide : TWide_RGB = ( R:52685;G:12850;B:30840;A:65535 ) ;
    RGB_Violet_Red4_Wide : TWide_RGB = ( R:35723;G:8738;B:21074;A:65535 ) ;
    RGB_Wheat_Wide : TWide_RGB = ( R:62965;G:57054;B:46003;A:65535 ) ;
    RGB_Wheat1_Wide : TWide_RGB = ( R:65535;G:59367;B:47802;A:65535 ) ;
    RGB_Wheat2_Wide : TWide_RGB = ( R:61166;G:55512;B:44718;A:65535 ) ;
    RGB_Wheat3_Wide : TWide_RGB = ( R:52685;G:47802;B:38550;A:65535 ) ;
    RGB_Wheat4_Wide : TWide_RGB = ( R:35723;G:32382;B:26214;A:65535 ) ;
    RGB_White_Wide : TWide_RGB = ( R:65535;G:65535;B:65535;A:65535 ) ;
    RGB_white_Smoke_Wide : TWide_RGB = ( R:62965;G:62965;B:62965;A:65535 ) ;
    RGB_Yellow_Wide : TWide_RGB = ( R:65535;G:65535;B:0;A:65535 ) ;
    RGB_Yellow1_Wide : TWide_RGB = ( R:65535;G:65535;B:0;A:65535 ) ;
    RGB_Yellow2_Wide : TWide_RGB = ( R:61166;G:61166;B:0;A:65535 ) ;
    RGB_Yellow3_Wide : TWide_RGB = ( R:52685;G:52685;B:0;A:65535 ) ;
    RGB_Yellow4_Wide : TWide_RGB = ( R:5723;G:35723;B:0;A:65535 ) ;
    RGB_Yellow_Green_Wide : TWide_RGB = ( R:39578;G:52685;B:12850;A:65535 ) ;

    RGB_Alice_Blue : TRGB = ( {61680,63736,65535} B:255;G:248;R:240;A:255 ) ;
    RGB_Antique_White : TRGB = ( {64250,60395,55255} B:215;G:235;R:250;A:255 ) ;
    RGB_Antique_White1 : TRGB = ( {65535,61423,56283} B:219;G:239;R:255;A:255 ) ;
    RGB_Antique_White2 : TRGB = ( {61166,57311,52428} B:204;G:223;R:238;A:255 ) ;
    RGB_Antique_White3 : TRGB = ( {52685,49344,45232} B:176;G:192;R:205;A:255 ) ;
    RGB_Antique_White4 : TRGB = ( {35723,33667,30840} B:120;G:131;R:139;A:255 ) ;
    RGB_Aquamarine : TRGB = ( {32639,65535,54484} B:212;G:255;R:127;A:255 ) ;
    RGB_Aquamarine1 : TRGB = ( {32639,65535,54484} B:212;G:255;R:127;A:255 ) ;
    RGB_Aquamarine2 : TRGB = ( {30326,61166,50886} B:198;G:238;R:118;A:255 ) ;
    RGB_Aquamarine3 : TRGB = ( {26214,52685,43690} B:170;G:205;R:102;A:255 ) ;
    RGB_Aquamarine4 : TRGB = ( {17733,35723,29812} B:116;G:139;R:69;A:255 ) ;
    RGB_Azure : TRGB = ( {61680,65535,65535} B:255;G:255;R:240;A:255 ) ;
    RGB_Azure1 : TRGB = ( {61680,65535,65535} B:255;G:255;R:240;A:255 ) ;
    RGB_Azure2 : TRGB = ( {57568,61166,61166} B:238;G:238;R:224;A:255 ) ;
    RGB_Azure3 : TRGB = ( {49601,52685,52685} B:205;G:205;R:193;A:255 ) ;
    RGB_Azure4 : TRGB = ( {33667,35723,35723} B:139;G:139;R:131;A:255 ) ;
    RGB_Banana : TRGB = ( B:87;G:207;R:227;A:255 ) ;
    RGB_Beige : TRGB = ( {62965,62965,56540} B:220;G:245;R:245;A:255 ) ;
    RGB_Bisque : TRGB = ( {65535,58596,50372} B:196;G:228;R:255;A:255 ) ;
    RGB_Bisque1 : TRGB = ( {65535,58596,50372} B:196;G:228;R:255;A:255 ) ;
    RGB_Bisque2 : TRGB = ( {61166,54741,47031} B:183;G:213;R:238;A:255 ) ;
    RGB_Bisque3 : TRGB = ( {52685,47031,40606} B:158;G:183;R:205;A:255 ) ;
    RGB_Bisque4 : TRGB = ( {35723,32125,27499} B:107;G:125;R:139;A:255 ) ;
    RGB_Black : TRGB = ( {0,0,0} B:0;G:0;R:0;A:255 ) ;
    RGB_Blanched_Almond : TRGB = ( {65535,60395,52685} B:205;G:235;R:255;A:255 ) ;
    RGB_Blue : TRGB = ( {0,0,65535} B:255;G:0;R:0;A:255 ) ;
    RGB_Blue1 : TRGB = ( {0,0,65535} B:255;G:0;R:0;A:255 ) ;
    RGB_Blue2 : TRGB = ( {0,0,61166} B:238;G:0;R:0;A:255 ) ;
    RGB_Blue3 : TRGB = ( {0,0,52685} B:205;G:0;R:0;A:255 ) ;
    RGB_Blue4 : TRGB = ( {0,0,35723} B:139;G:0;R:0;A:255 ) ;
    RGB_Blue_Violet : TRGB = ( {35466,11051,58082} B:226;G:43;R:138;A:255 ) ;
    RGB_Brick : TRGB = ( B:31;G:102;R:156;A:255 ) ;
    RGB_Brown : TRGB = ( {42405,10794,10794} B:42;G:42;R:165;A:255 ) ;
    RGB_Brown1 : TRGB = ( {65535,16448,16448} B:64;G:64;R:255;A:255 ) ;
    RGB_Brown2 : TRGB = ( {61166,15163,15163} B:59;G:59;R:238;A:255 ) ;
    RGB_Brown3 : TRGB = ( {52685,13107,13107} B:51;G:51;R:205;A:255 ) ;
    RGB_Brown4 : TRGB = ( {35723,8995,8995} B:35;G:35;R:139;A:255 ) ;
    RGB_Burlywood : TRGB = ( {57054,47288,34695} B:135;G:184;R:222;A:255 ) ;
    RGB_Burlywood1 : TRGB = ( {65535,54227,39835} B:155;G:211;R:255;A:255 ) ;
    RGB_Burlywood2 : TRGB = ( {61166,50629,37265} B:145;G:197;R:238;A:255 ) ;
    RGB_Burlywood3 : TRGB = ( {52685,43690,32125} B:125;G:170;R:205;A:255 ) ;
    RGB_Burlywood4 : TRGB = ( {35723,29555,21845} B:85;G:115;R:139;A:255 ) ;
    RGB_Burnt_Sienna : TRGB = ( B:15;G:54;R:138;A:255 ) ;
    RGB_Burnt_Umber : TRGB = ( B:36;G:51;R:138;A:255 ) ;
    RGB_Cadet_Blue : TRGB = ( {24415,40606,41120} B:160;G:158;R:95;A:255 ) ;
    RGB_Cadet_Blue1 : TRGB = ( {39064,62965,65535} B:255;G:245;R:152;A:255 ) ;
    RGB_Cadet_Blue2 : TRGB = ( {36494,58853,61166} B:238;G:229;R:142;A:255 ) ;
    RGB_Cadet_Blue3 : TRGB = ( {31354,50629,52685} B:205;G:197;R:122;A:255 ) ;
    RGB_Cadet_Blue4 : TRGB = ( {21331,34438,35723} B:139;G:134;R:83;A:255 ) ;
    RGB_Cadmium_Orange : TRGB = ( B:3;G:97;R:255;A:255 ) ;
    RGB_Cadmium_Red : TRGB = ( B:125;G:49;R:0;A:255 ) ;
    RGB_Cadmium_Yellow : TRGB = ( B:18;G:153;R:255;A:255 ) ;
    RGB_Chartreuse : TRGB = ( {32639,65535,0} B:0;G:255;R:127;A:255 ) ;
    RGB_Chartreuse1 : TRGB = ( {32639,65535,0} B:0;G:255;R:127;A:255 ) ;
    RGB_Chartreuse2 : TRGB = ( {30326,61166,0} B:0;G:238;R:118;A:255 ) ;
    RGB_Chartreuse3 : TRGB = ( {26214,52685,0} B:0;G:205;R:102;A:255 ) ;
    RGB_Chartreuse4 : TRGB = ( {17733,35723,0} B:0;G:139;R:69;A:255 ) ;
    RGB_Chocolate : TRGB = ( {53970,26985,7710} B:30;G:105;R:210;A:255 ) ;
    RGB_Chocolate1 : TRGB = ( {65535,32639,9252} B:36;G:127;R:255;A:255 ) ;
    RGB_Chocolate2 : TRGB = ( {61166,30326,8481} B:33;G:118;R:238;A:255 ) ;
    RGB_Chocolate3 : TRGB = ( {52685,26214,7453} B:29;G:102;R:205;A:255 ) ;
    RGB_Chocolate4 : TRGB = ( {35723,17733,4883} B:19;G:69;R:139;A:255 ) ;
    RGB_Cobalt : TRGB = ( B:171;G:89;R:61;A:255 ) ;
    RGB_Cobalt_Green : TRGB = ( B:64;G:145;R:61;A:255 ) ;
    RGB_Coral : TRGB = ( {65535,32639,20560} B:80;G:127;R:255;A:255 ) ;
    RGB_Coral1 : TRGB = ( {65535,29298,22102} B:86;G:114;R:255;A:255 ) ;
    RGB_Coral2 : TRGB = ( {61166,27242,20560} B:80;G:106;R:238;A:255 ) ;
    RGB_Coral3 : TRGB = ( {52685,23387,17733} B:69;G:91;R:205;A:255 ) ;
    RGB_Coral4 : TRGB = ( {35723,15934,12079} B:47;G:62;R:139;A:255 ) ;
    RGB_Cornflower_Blue : TRGB = ( {25700,38293,60909} B:237;G:149;R:100;A:255 ) ;
    RGB_Cornsilk : TRGB = ( {65535,63736,56540} B:220;G:248;R:255;A:255 ) ;
    RGB_Cornsilk1 : TRGB = ( {65535,63736,56540} B:220;G:248;R:255;A:255 ) ;
    RGB_Cornsilk2 : TRGB = ( {61166,59624,52685} B:205;G:232;R:238;A:255 ) ;
    RGB_Cornsilk3 : TRGB = ( {52685,51400,45489} B:177;G:200;R:205;A:255 ) ;
    RGB_Cornsilk4 : TRGB = ( {35723,34952,30840} B:120;G:136;R:139;A:255 ) ;
    RGB_Crimson : TRGB = ( B:60;G:20;R:220;A:255 ) ;
    RGB_Cyan : TRGB = ( {0,65535,65535} B:255;G:255;R:0;A:255 ) ;
    RGB_Cyan1 : TRGB = ( {0,65535,65535} B:255;G:255;R:0;A:255 ) ;
    RGB_Cyan2 : TRGB = ( {0,61166,61166} B:238;G:238;R:0;A:255 ) ;
    RGB_Cyan3 : TRGB = ( {0,52685,52685} B:205;G:205;R:0;A:255 ) ;
    RGB_Cyan4 : TRGB = ( {0,35723,35723} B:139;G:139;R:0;A:255 ) ;
    RGB_Dark_Goldenrod : TRGB = ( {47288,34438,2827} B:11;G:134;R:184;A:255 ) ;
    RGB_Dark_Goldenrod1 : TRGB = ( {65535,47545,3855} B:15;G:185;R:255;A:255 ) ;
    RGB_Dark_Goldenrod2 : TRGB = ( {61166,44461,3598} B:14;G:173;R:238;A:255 ) ;
    RGB_Dark_Goldenrod3 : TRGB = ( {52685,38293,3084} B:12;G:149;R:205;A:255 ) ;
    RGB_Dark_Goldenrod4 : TRGB = ( {35723,25957,2056} B:8;G:101;R:139;A:255 ) ;
    RGB_Dark_Gray : TRGB = ( {26985,26985,26985} B:105;G:105;R:105;A:255 ) ;
    RGB_Dark_Green : TRGB = ( {0,25700,0} B:0;G:100;R:0;A:255 ) ;
    RGB_Dark_Khaki : TRGB = ( {48573,47031,27499} B:107;G:183;R:189;A:255 ) ;
    RGB_Dark_Olive_Green : TRGB = ( {21845,27499,12079} B:47;G:107;R:85;A:255 ) ;
    RGB_Dark_Olive_Green1 : TRGB = ( {51914,65535,28784} B:112;G:255;R:202;A:255 ) ;
    RGB_Dark_Olive_Green2 : TRGB = ( {48316,61166,26728} B:104;G:238;R:188;A:255 ) ;
    RGB_Dark_Olive_Green3 : TRGB = ( {41634,52685,23130} B:90;G:205;R:162;A:255 ) ;
    RGB_Dark_Olive_Green4 : TRGB = ( {28270,35723,15677} B:61;G:139;R:110;A:255 ) ;
    RGB_Dark_Orange : TRGB = ( {65535,35980,0} B:0;G:140;R:255;A:255 ) ;
    RGB_Dark_Orange1 : TRGB = ( {65535,32639,0} B:0;G:127;R:255;A:255 ) ;
    RGB_Dark_Orange2 : TRGB = ( {61166,30326,0} B:0;G:118;R:238;A:255 ) ;
    RGB_Dark_Orange3 : TRGB = ( {52685,26214,0} B:0;G:102;R:205;A:255 ) ;
    RGB_Dark_Orange4 : TRGB = ( {35723,17733,0} B:0;G:69;R:139;A:255 ) ;
    RGB_Dark_Orchid : TRGB = ( {39321,12850,52428} B:204;G:50;R:153;A:255 ) ;
    RGB_Dark_Orchid1 : TRGB = ( {49087,15934,65535} B:255;G:62;R:191;A:255 ) ;
    RGB_Dark_Orchid2 : TRGB = ( {45746,14906,61166} B:238;G:58;R:178;A:255 ) ;
    RGB_Dark_Orchid3 : TRGB = ( {39578,12850,52685} B:205;G:50;R:154;A:255 ) ;
    RGB_Dark_Orchid4 : TRGB = ( {26728,8738,35723} B:139;G:34;R:104;A:255 ) ;
    RGB_Dark_Purple : TRGB = ( {20560,4112,30840} B:120;G:16;R:80;A:255 ) ;
    RGB_Dark_Salmon : TRGB = ( {59881,38550,31354} B:122;G:150;R:233;A:255 ) ;
    RGB_Dark_Sea_Green : TRGB = ( {36751,48316,36751} B:143;G:188;R:143;A:255 ) ;
    RGB_Dark_Sea_Green1 : TRGB = ( {49601,65535,49601} B:193;G:255;R:193;A:255 ) ;
    RGB_Dark_Sea_Green2 : TRGB = ( {46260,61166,46260} B:180;G:238;R:180;A:255 ) ;
    RGB_Dark_Sea_Green3 : TRGB = ( {39835,52685,39835} B:155;G:205;R:155;A:255 ) ;
    RGB_Dark_Sea_Green4 : TRGB = ( {26985,35723,26985} B:105;G:139;R:105;A:255 ) ;
    RGB_Dark_Slate_Blue : TRGB = ( {18504,15677,35723} B:139;G:61;R:72;A:255 ) ;
    RGB_Dark_Slate_Gray : TRGB = ( {12079,20303,20303} B:79;G:79;R:47;A:255 ) ;
    RGB_Dark_Slate_Gray1 : TRGB = ( {38807,65535,65535} B:255;G:255;R:151;A:255 ) ;
    RGB_Dark_Slate_Gray2 : TRGB = ( {36237,61166,61166} B:238;G:238;R:141;A:255 ) ;
    RGB_Dark_Slate_Gray3 : TRGB = ( {31097,52685,52685} B:205;G:205;R:121;A:255 ) ;
    RGB_Dark_Slate_Gray4 : TRGB = ( {21074,35723,35723} B:139;G:139;R:82;A:255 ) ;
    RGB_Dark_Turquoise : TRGB = ( {0,52942,53713} B:209;G:206;R:0;A:255 ) ;
    RGB_Dark_Violet : TRGB = ( {38036,0,54227} B:211;G:0;R:148;A:255 ) ;
    RGB_Deep_Pink : TRGB = ( {65535,5140,37779} B:147;G:20;R:255;A:255 ) ;
    RGB_Deep_Pink1 : TRGB = ( {65535,5140,37779} B:147;G:20;R:255;A:255 ) ;
    RGB_Deep_Pink2 : TRGB = ( {61166,4626,35209} B:137;G:18;R:238;A:255 ) ;
    RGB_Deep_Pink3 : TRGB = ( {52685,4112,30326} B:118;G:16;R:205;A:255 ) ;
    RGB_Deep_Pink4 : TRGB = ( {35723,2570,20560} B:80;G:10;R:139;A:255 ) ;
    RGB_Deep_Sky_Blue : TRGB = ( {0,49087,65535} B:255;G:191;R:0;A:255 ) ;
    RGB_Deep_Sky_Blue1 : TRGB = ( {0,49087,65535} B:255;G:191;R:0;A:255 ) ;
    RGB_Deep_Sky_Blue2 : TRGB = ( {0,45746,61166} B:238;G:178;R:0;A:255 ) ;
    RGB_Deep_Sky_Blue3 : TRGB = ( {0,39578,52685} B:205;G:154;R:0;A:255 ) ;
    RGB_Deep_Sky_Blue4 : TRGB = ( {0,26728,35723} B:139;G:104;R:0;A:255 ) ;
    RGB_Dim_Gray : TRGB = ( {26985,26985,26985} B:105;G:105;R:105;A:255 ) ;
    RGB_Dodger_Blue : TRGB = ( {7710,37008,65535} B:255;G:144;R:30;A:255 ) ;
    RGB_Dodger_Blue1 : TRGB = ( {7710,37008,65535} B:255;G:144;R:30;A:255 ) ;
    RGB_Dodger_Blue2 : TRGB = ( {7196,34438,61166} B:238;G:134;R:28;A:255 ) ;
    RGB_Dodger_Blue3 : TRGB = ( {6168,29812,52685} B:205;G:116;R:24;A:255 ) ;
    RGB_Dodger_Blue4 : TRGB = ( {4112,20046,35723} B:139;G:78;R:16;A:255 ) ;
    RGB_Eggshell : TRGB = ( B:201;G:230;R:201;A:255 ) ;
    RGB_Emerald_Green : TRGB = ( B:87;G:201;R:0;A:255 ) ;
    RGB_Fire_Brick : TRGB = ( {45746,8738,8738} B:34;G:34;R:178;A:255 ) ;
    RGB_Fire_Brick1 : TRGB = ( {65535,12336,12336} B:48;G:48;R:255;A:255 ) ;
    RGB_Fire_Brick2 : TRGB = ( {61166,11308,11308} B:44;G:44;R:238;A:255 ) ;
    RGB_Fire_Brick3 : TRGB = ( {52685,9766,9766} B:38;G:38;R:205;A:255 ) ;
    RGB_Fire_Brick4 : TRGB = ( {35723,6682,6682} B:26;G:26;R:139;A:255 ) ;
    RGB_Floral_White : TRGB = ( {65535,64250,61680} B:240;G:250;R:255;A:255 ) ;
    RGB_Forest_Green : TRGB = ( {8738,35723,8738} B:34;G:139;R:34;A:255 ) ;
    RGB_Gainsboro : TRGB = ( {56540,56540,56540} B:220;G:220;R:220;A:255 ) ;
    RGB_Ghost_white : TRGB = ( {63736,63736,65535} B:255;G:248;R:248;A:255 ) ;
    RGB_Gold : TRGB = ( {65535,55255,0} B:0;G:215;R:255;A:255 ) ;
    RGB_Gold1 : TRGB = ( {65535,55255,0} B:0;G:215;R:255;A:255 ) ;
    RGB_Gold2 : TRGB = ( {61166,51657,0} B:0;G:201;R:238;A:255 ) ;
    RGB_Gold3 : TRGB = ( {52685,44461,0} B:0;G:173;R:205;A:255 ) ;
    RGB_Gold4 : TRGB = ( {35723,30069,0} B:0;G:117;R:139;A:255 ) ;
    RGB_Goldenrod : TRGB = ( {56026,42405,8224} B:32;G:165;R:218;A:255 ) ;
    RGB_Goldenrod1 : TRGB = ( {65535,49601,9509} B:37;G:193;R:255;A:255 ) ;
    RGB_Goldenrod2 : TRGB = ( {61166,46260,8738} B:34;G:180;R:238;A:255 ) ;
    RGB_Goldenrod3 : TRGB = ( {52685,39835,7453} B:29;G:155;R:205;A:255 ) ;
    RGB_Goldenrod4 : TRGB = ( {35723,26985,5140} B:20;G:105;R:139;A:255 ) ;
    RGB_Gray : TRGB = ( {49344,49344,49344} B:192;G:192;R:192;A:255 ) ;
    RGB_Gray0 : TRGB = ( {0,0,0} B:0;G:0;R:0;A:255 ) ;
    RGB_Gray1 : TRGB = ( {771,771,771} B:3;G:3;R:3;A:255 ) ;
    RGB_Gray2 : TRGB = ( {1285,1285,1285} B:5;G:5;R:5;A:255 ) ;
    RGB_Gray3 : TRGB = ( {2056,2056,2056} B:8;G:8;R:8;A:255 ) ;
    RGB_Gray4 : TRGB = ( {2570,2570,2570} B:10;G:10;R:10;A:255 ) ;
    RGB_Gray5 : TRGB = ( {3341,3341,3341} B:13;G:13;R:13;A:255 ) ;
    RGB_Gray6 : TRGB = ( {3855,3855,3855} B:15;G:15;R:15;A:255 ) ;
    RGB_Gray7 : TRGB = ( {4626,4626,4626} B:18;G:18;R:18;A:255 ) ;
    RGB_Gray8 : TRGB = ( {5140,5140,5140} B:20;G:20;R:20;A:255 ) ;
    RGB_Gray9 : TRGB = ( {5911,5911,5911} B:23;G:23;R:23;A:255 ) ;
    RGB_Gray10 : TRGB = ( {6682,6682,6682} B:26;G:26;R:26;A:255 ) ;
    RGB_Gray11 : TRGB = ( {7196,7196,7196} B:28;G:28;R:28;A:255 ) ;
    RGB_Gray12 : TRGB = ( {7967,7967,7967} B:31;G:31;R:31;A:255 ) ;
    RGB_Gray13 : TRGB = ( {8481,8481,8481} B:33;G:33;R:33;A:255 ) ;
    RGB_Gray14 : TRGB = ( {9252,9252,9252} B:36;G:36;R:36;A:255 ) ;
    RGB_Gray15 : TRGB = ( {9766,9766,9766} B:38;G:38;R:38;A:255 ) ;
    RGB_Gray16 : TRGB = ( {10537,10537,10537} B:41;G:41;R:41;A:255 ) ;
    RGB_Gray17 : TRGB = ( {11051,11051,11051} B:43;G:43;R:43;A:255 ) ;
    RGB_Gray18 : TRGB = ( {11822,11822,11822} B:46;G:46;R:46;A:255 ) ;
    RGB_Gray19 : TRGB = ( {12336,12336,12336} B:48;G:48;R:48;A:255 ) ;
    RGB_Gray20 : TRGB = ( {13107,13107,13107} B:51;G:51;R:51;A:255 ) ;
    RGB_Gray21 : TRGB = ( {13878,13878,13878} B:54;G:54;R:54;A:255 ) ;
    RGB_Gray22 : TRGB = ( {14392,14392,14392} B:56;G:56;R:56;A:255 ) ;
    RGB_Gray23 : TRGB = ( {15163,15163,15163} B:59;G:59;R:59;A:255 ) ;
    RGB_Gray24 : TRGB = ( {15677,15677,15677} B:61;G:61;R:61;A:255 ) ;
    RGB_Gray25 : TRGB = ( {16448,16448,16448} B:64;G:64;R:64;A:255 ) ;
    RGB_Gray26 : TRGB = ( {16962,16962,16962} B:66;G:66;R:66;A:255 ) ;
    RGB_Gray27 : TRGB = ( {17733,17733,17733} B:69;G:69;R:69;A:255 ) ;
    RGB_Gray28 : TRGB = ( {18247,18247,18247} B:71;G:71;R:71;A:255 ) ;
    RGB_Gray29 : TRGB = ( {19018,19018,19018} B:74;G:74;R:74;A:255 ) ;
    RGB_Gray30 : TRGB = ( {19789,19789,19789} B:77;G:77;R:77;A:255 ) ;
    RGB_Gray31 : TRGB = ( {20303,20303,20303} B:79;G:79;R:79;A:255 ) ;
    RGB_Gray32 : TRGB = ( {21074,21074,21074} B:82;G:82;R:82;A:255 ) ;
    RGB_Gray33 : TRGB = ( {21588,21588,21588} B:84;G:84;R:84;A:255 ) ;
    RGB_Gray34 : TRGB = ( {22359,22359,22359} B:87;G:87;R:87;A:255 ) ;
    RGB_Gray35 : TRGB = ( {22873,22873,22873} B:89;G:89;R:89;A:255 ) ;
    RGB_Gray36 : TRGB = ( {23644,23644,23644} B:92;G:92;R:92;A:255 ) ;
    RGB_Gray37 : TRGB = ( {24158,24158,24158} B:94;G:94;R:94;A:255 ) ;
    RGB_Gray38 : TRGB = ( {24929,24929,24929} B:97;G:97;R:97;A:255 ) ;
    RGB_Gray39 : TRGB = ( {25443,25443,25443} B:99;G:99;R:99;A:255 ) ;
    RGB_Gray40 : TRGB = ( {26214,26214,26214} B:102;G:102;R:102;A:255 ) ;
    RGB_Gray41 : TRGB = ( {26985,26985,26985} B:105;G:105;R:105;A:255 ) ;
    RGB_Gray42 : TRGB = ( {27499,27499,27499} B:107;G:107;R:107;A:255 ) ;
    RGB_Gray43 : TRGB = ( {28270,28270,28270} B:110;G:110;R:110;A:255 ) ;
    RGB_Gray44 : TRGB = ( {28784,28784,28784} B:112;G:112;R:112;A:255 ) ;
    RGB_Gray45 : TRGB = ( {29555,29555,29555} B:115;G:115;R:115;A:255 ) ;
    RGB_Gray46 : TRGB = ( {30069,30069,30069} B:117;G:117;R:117;A:255 ) ;
    RGB_Gray47 : TRGB = ( {30840,30840,30840} B:120;G:120;R:120;A:255 ) ;
    RGB_Gray48 : TRGB = ( {31354,31354,31354} B:122;G:122;R:122;A:255 ) ;
    RGB_Gray49 : TRGB = ( {32125,32125,32125} B:125;G:125;R:125;A:255 ) ;
    RGB_Gray50 : TRGB = ( {32639,32639,32639} B:127;G:127;R:127;A:255 ) ;
    RGB_Gray51 : TRGB = ( {33410,33410,33410} B:130;G:130;R:130;A:255 ) ;
    RGB_Gray52 : TRGB = ( {34181,34181,34181} B:133;G:133;R:133;A:255 ) ;
    RGB_Gray53 : TRGB = ( {34695,34695,34695} B:135;G:135;R:135;A:255 ) ;
    RGB_Gray54 : TRGB = ( {35466,35466,35466} B:138;G:138;R:138;A:255 ) ;
    RGB_Gray55 : TRGB = ( {35980,35980,35980} B:140;G:140;R:140;A:255 ) ;
    RGB_Gray56 : TRGB = ( {36751,36751,36751} B:143;G:143;R:143;A:255 ) ;
    RGB_Gray57 : TRGB = ( {37265,37265,37265} B:145;G:145;R:145;A:255 ) ;
    RGB_Gray58 : TRGB = ( {38036,38036,38036} B:148;G:148;R:148;A:255 ) ;
    RGB_Gray59 : TRGB = ( {38550,38550,38550} B:150;G:150;R:150;A:255 ) ;
    RGB_Gray60 : TRGB = ( {39321,39321,39321} B:153;G:153;R:153;A:255 ) ;
    RGB_Gray61 : TRGB = ( {40092,40092,40092} B:156;G:156;R:156;A:255 ) ;
    RGB_Gray62 : TRGB = ( {40606,40606,40606} B:158;G:158;R:158;A:255 ) ;
    RGB_Gray63 : TRGB = ( {41377,41377,41377} B:161;G:161;R:161;A:255 ) ;
    RGB_Gray64 : TRGB = ( {41891,41891,41891} B:163;G:163;R:163;A:255 ) ;
    RGB_Gray65 : TRGB = ( {42662,42662,42662} B:166;G:166;R:166;A:255 ) ;
    RGB_Gray66 : TRGB = ( {43176,43176,43176} B:168;G:168;R:168;A:255 ) ;
    RGB_Gray67 : TRGB = ( {43947,43947,43947} B:171;G:171;R:171;A:255 ) ;
    RGB_Gray68 : TRGB = ( {44461,44461,44461} B:173;G:173;R:173;A:255 ) ;
    RGB_Gray69 : TRGB = ( {45232,45232,45232} B:176;G:176;R:176;A:255 ) ;
    RGB_Gray70 : TRGB = ( {46003,46003,46003} B:179;G:179;R:179;A:255 ) ;
    RGB_Gray71 : TRGB = ( {46517,46517,46517} B:181;G:181;R:181;A:255 ) ;
    RGB_Gray72 : TRGB = ( {47288,47288,47288} B:184;G:184;R:184;A:255 ) ;
    RGB_Gray73 : TRGB = ( {47802,47802,47802} B:186;G:186;R:186;A:255 ) ;
    RGB_Gray74 : TRGB = ( {48573,48573,48573} B:189;G:189;R:189;A:255 ) ;
    RGB_Gray75 : TRGB = ( {49087,49087,49087} B:191;G:191;R:191;A:255 ) ;
    RGB_Gray76 : TRGB = ( {49858,49858,49858} B:194;G:194;R:194;A:255 ) ;
    RGB_Gray77 : TRGB = ( {50372,50372,50372} B:196;G:196;R:196;A:255 ) ;
    RGB_Gray78 : TRGB = ( {51143,51143,51143} B:199;G:199;R:199;A:255 ) ;
    RGB_Gray79 : TRGB = ( {51657,51657,51657} B:201;G:201;R:201;A:255 ) ;
    RGB_Gray80 : TRGB = ( {52428,52428,52428} B:204;G:204;R:204;A:255 ) ;
    RGB_Gray81 : TRGB = ( {53199,53199,53199} B:207;G:207;R:207;A:255 ) ;
    RGB_Gray82 : TRGB = ( {53713,53713,53713} B:209;G:209;R:209;A:255 ) ;
    RGB_Gray83 : TRGB = ( {54484,54484,54484} B:212;G:212;R:212;A:255 ) ;
    RGB_Gray84 : TRGB = ( {54998,54998,54998} B:214;G:214;R:214;A:255 ) ;
    RGB_Gray85 : TRGB = ( {55769,55769,55769} B:217;G:217;R:217;A:255 ) ;
    RGB_Gray86 : TRGB = ( {56283,56283,56283} B:219;G:219;R:219;A:255 ) ;
    RGB_Gray87 : TRGB = ( {57054,57054,57054} B:222;G:222;R:222;A:255 ) ;
    RGB_Gray88 : TRGB = ( {57568,57568,57568} B:224;G:224;R:224;A:255 ) ;
    RGB_Gray89 : TRGB = ( {58339,58339,58339} B:227;G:227;R:227;A:255 ) ;
    RGB_Gray90 : TRGB = ( {58853,58853,58853} B:229;G:229;R:229;A:255 ) ;
    RGB_Gray91 : TRGB = ( {59624,59624,59624} B:232;G:232;R:232;A:255 ) ;
    RGB_Gray92 : TRGB = ( {60395,60395,60395} B:235;G:235;R:235;A:255 ) ;
    RGB_Gray93 : TRGB = ( {60909,60909,60909} B:237;G:237;R:237;A:255 ) ;
    RGB_Gray94 : TRGB = ( {61680,61680,61680} B:240;G:240;R:240;A:255 ) ;
    RGB_Gray95 : TRGB = ( {62194,62194,62194} B:242;G:242;R:242;A:255 ) ;
    RGB_Gray96 : TRGB = ( {62965,62965,62965} B:245;G:245;R:245;A:255 ) ;
    RGB_Gray97 : TRGB = ( {63479,63479,63479} B:247;G:247;R:247;A:255 ) ;
    RGB_Gray98 : TRGB = ( {64250,64250,64250} B:250;G:250;R:250;A:255 ) ;
    RGB_Gray99 : TRGB = ( {64764,64764,64764} B:252;G:252;R:252;A:255 ) ;
    RGB_Gray100 : TRGB = ( {65535,65535,65535} B:255;G:255;R:255;A:255 ) ;
    RGB_Green : TRGB = ( {0,65535,0} B:0;G:255;R:0;A:255 ) ;
    RGB_Green1 : TRGB = ( {0,65535,0} B:0;G:255;R:0;A:255 ) ;
    RGB_Green2 : TRGB = ( {0,61166,0} B:0;G:238;R:0;A:255 ) ;
    RGB_Green3 : TRGB = ( {0,52685,0} B:0;G:205;R:0;A:255 ) ;
    RGB_Green4 : TRGB = ( {0,35723,0} B:0;G:139;R:0;A:255 ) ;
    RGB_Green_Yellow : TRGB = ( {44461,65535,12079} B:47;G:255;R:173;A:255 ) ;
    RGB_Honeydew : TRGB = ( {61680,65535,61680} B:240;G:255;R:240;A:255 ) ;
    RGB_Honeydew1 : TRGB = ( {61680,65535,61680} B:240;G:255;R:240;A:255 ) ;
    RGB_Honeydew2 : TRGB = ( {57568,61166,57568} B:224;G:238;R:224;A:255 ) ;
    RGB_Honeydew3 : TRGB = ( {49601,52685,49601} B:193;G:205;R:193;A:255 ) ;
    RGB_Honeydew4 : TRGB = ( {33667,35723,33667} B:131;G:139;R:131;A:255 ) ;
    RGB_Hot_pink : TRGB = ( {65535,26985,46260} B:180;G:105;R:255;A:255 ) ;
    RGB_Hot_Pink1 : TRGB = ( {65535,28270,46260} B:180;G:110;R:255;A:255 ) ;
    RGB_Hot_Pink2 : TRGB = ( {61166,27242,42919} B:167;G:106;R:238;A:255 ) ;
    RGB_Hot_Pink3 : TRGB = ( {52685,24672,37008} B:144;G:96;R:205;A:255 ) ;
    RGB_Hot_Pink4 : TRGB = ( {35723,14906,25186} B:98;G:58;R:139;A:255 ) ;
    RGB_Indian_Red : TRGB = ( {52685,23644,23644} B:92;G:92;R:205;A:255 ) ;
    RGB_Indian_Red1 : TRGB = ( {65535,27242,27242} B:106;G:106;R:255;A:255 ) ;
    RGB_Indian_Red2 : TRGB = ( {61166,25443,25443} B:99;G:99;R:238;A:255 ) ;
    RGB_Indian_Red3 : TRGB = ( {52685,21845,21845} B:85;G:85;R:205;A:255 ) ;
    RGB_Indian_Red4 : TRGB = ( {35723,14906,14906} B:58;G:58;R:139;A:255 ) ;
    RGB_Ivory : TRGB = ( {65535,65535,61680} B:240;G:255;R:255;A:255 ) ;
    RGB_Ivory1 : TRGB = ( {65535,65535,61680} B:240;G:255;R:255;A:255 ) ;
    RGB_Ivory2 : TRGB = ( {61166,61166,57568} B:224;G:238;R:238;A:255 ) ;
    RGB_Ivory3 : TRGB = ( {52685,52685,49601} B:193;G:205;R:205;A:255 ) ;
    RGB_Ivory4 : TRGB = ( {35723,35723,33667} B:131;G:139;R:139;A:255 ) ;
    RGB_Ivory_Black : TRGB = ( B:33;G:36;R:41;A:255 ) ;
    RGB_Khaki : TRGB = ( {61680,59110,35980} B:140;G:230;R:240;A:255 ) ;
    RGB_Khaki1 : TRGB = ( {65535,63222,36751} B:143;G:246;R:255;A:255 ) ;
    RGB_Khaki2 : TRGB = ( {61166,59110,34181} B:133;G:230;R:238;A:255 ) ;
    RGB_Khaki3 : TRGB = ( {52685,50886,29555} B:115;G:198;R:205;A:255 ) ;
    RGB_Khaki4 : TRGB = ( {35723,34438,20046} B:78;G:134;R:139;A:255 ) ;
    RGB_Lavender : TRGB = ( {59110,59110,64250} B:250;G:230;R:230;A:255 ) ;
    RGB_Lavender_Blush : TRGB = ( {65535,61680,62965} B:245;G:240;R:255;A:255 ) ;
    RGB_Lavender_Blush1 : TRGB = ( {65535,61680,62965} B:245;G:240;R:255;A:255 ) ;
    RGB_Lavender_Blush2 : TRGB = ( {61166,57568,58853} B:229;G:224;R:238;A:255 ) ;
    RGB_Lavender_Blush3 : TRGB = ( {52685,49601,50629} B:197;G:193;R:205;A:255 ) ;
    RGB_Lavender_Blush4 : TRGB = ( {35723,33667,34438} B:134;G:131;R:139;A:255 ) ;
    RGB_Lawn_Green : TRGB = ( {31868,64764,0} B:0;G:252;R:124;A:255 ) ;
    RGB_Lemon_Chiffon : TRGB = ( {65535,64250,52685} B:205;G:250;R:255;A:255 ) ;
    RGB_Lemon_Chiffon1 : TRGB = ( {65535,64250,52685} B:205;G:250;R:255;A:255 ) ;
    RGB_Lemon_Chiffon2 : TRGB = ( {61166,59881,49087} B:191;G:233;R:238;A:255 ) ;
    RGB_Lemon_Chiffon3 : TRGB = ( {52685,51657,42405} B:165;G:201;R:205;A:255 ) ;
    RGB_Lemon_Chiffon4 : TRGB = ( {35723,35209,28784} B:112;G:137;R:139;A:255 ) ;
    RGB_Light_Blue : TRGB = ( {44461,55512,59110} B:230;G:216;R:173;A:255 ) ;
    RGB_Light_Blue1 : TRGB = ( {49087,61423,65535} B:255;G:239;R:191;A:255 ) ;
    RGB_Light_Blue2 : TRGB = ( {45746,57311,61166} B:238;G:223;R:178;A:255 ) ;
    RGB_Light_Blue3 : TRGB = ( {39578,49344,52685} B:205;G:192;R:154;A:255 ) ;
    RGB_Light_Blue4 : TRGB = ( {26728,33667,35723} B:139;G:131;R:104;A:255 ) ;
    RGB_Light_Coral : TRGB = ( {61680,32896,32896} B:128;G:128;R:240;A:255 ) ;
    RGB_Light_Cyan : TRGB = ( {57568,65535,65535} B:255;G:255;R:224;A:255 ) ;
    RGB_Light_Cyan1 : TRGB = ( {57568,65535,65535} B:255;G:255;R:224;A:255 ) ;
    RGB_Light_Cyan2 : TRGB = ( {53713,61166,61166} B:238;G:238;R:209;A:255 ) ;
    RGB_Light_Cyan3 : TRGB = ( {46260,52685,52685} B:205;G:205;R:180;A:255 ) ;
    RGB_Light_Cyan4 : TRGB = ( {31354,35723,35723} B:139;G:139;R:122;A:255 ) ;
    RGB_Light_Goldenrod : TRGB = ( {61166,56797,33410} B:130;G:221;R:238;A:255 ) ;
    RGB_Light_Goldenrod1 : TRGB = ( {65535,60652,35723} B:139;G:236;R:255;A:255 ) ;
    RGB_Light_Goldenrod2 : TRGB = ( {61166,56540,33410} B:130;G:220;R:238;A:255 ) ;
    RGB_Light_Goldenrod3 : TRGB = ( {52685,48830,28784} B:112;G:190;R:205;A:255 ) ;
    RGB_Light_Goldenrod4 : TRGB = ( {35723,33153,19532} B:76;G:129;R:139;A:255 ) ;
    RGB_Light_Goldenrod_Yellow : TRGB = ( {64250,64250,53970} B:210;G:250;R:250;A:255 ) ;
    RGB_Light_Gray : TRGB = ( {54227,54227,54227} B:211;G:211;R:211;A:255 ) ;
    RGB_Light_Pink : TRGB = ( {65535,46774,49601} B:193;G:182;R:255;A:255 ) ;
    RGB_Light_Pink1 : TRGB = ( {65535,44718,47545} B:185;G:174;R:255;A:255 ) ;
    RGB_Light_Pink2 : TRGB = ( {61166,41634,44461} B:173;G:162;R:238;A:255 ) ;
    RGB_Light_Pink3 : TRGB = ( {52685,35980,38293} B:149;G:140;R:205;A:255 ) ;
    RGB_Light_Pink4 : TRGB = ( {35723,24415,25957} B:101;G:95;R:139;A:255 ) ;
    RGB_Light_Salmon : TRGB = ( {65535,41120,31354} B:122;G:160;R:255;A:255 ) ;
    RGB_Light_Salmon1 : TRGB = ( {65535,41120,31354} B:122;G:160;R:255;A:255 ) ;
    RGB_Light_Salmon2 : TRGB = ( {61166,38293,29298} B:114;G:149;R:238;A:255 ) ;
    RGB_Light_Salmon3 : TRGB = ( {52685,33153,25186} B:98;G:129;R:205;A:255 ) ;
    RGB_Light_Salmon4 : TRGB = ( {35723,22359,16962} B:66;G:87;R:139;A:255 ) ;
    RGB_Light_Sea_Green : TRGB = ( {8224,45746,43690} B:170;G:178;R:32;A:255 ) ;
    RGB_Light_Sky_Blue : TRGB = ( {34695,52942,64250} B:250;G:206;R:135;A:255 ) ;
    RGB_Light_Sky_Blue1 : TRGB = ( {45232,58082,65535} B:255;G:226;R:176;A:255 ) ;
    RGB_Light_Sky_Blue2 : TRGB = ( {42148,54227,61166} B:238;G:211;R:164;A:255 ) ;
    RGB_Light_Sky_Blue3 : TRGB = ( {36237,46774,52685} B:205;G:182;R:141;A:255 ) ;
    RGB_Light_Sky_Blue4 : TRGB = ( {24672,31611,35723} B:139;G:123;R:96;A:255 ) ;
    RGB_Light_Slate_Blue : TRGB = ( {33924,28784,65535} B:255;G:112;R:132;A:255 ) ;
    RGB_Light_Slate_Gray : TRGB = ( {30583,34952,39321} B:153;G:136;R:119;A:255 ) ;
    RGB_Light_Steel_blue : TRGB = ( {45232,50372,57054} B:222;G:196;R:176;A:255 ) ;
    RGB_Light_Steel_Blue1 : TRGB = ( {51914,57825,65535} B:255;G:225;R:202;A:255 ) ;
    RGB_Light_Steel_Blue2 : TRGB = ( {48316,53970,61166} B:238;G:210;R:188;A:255 ) ;
    RGB_Light_Steel_Blue3 : TRGB = ( {41634,46517,52685} B:205;G:181;R:162;A:255 ) ;
    RGB_Light_Steel_Blue4 : TRGB = ( {28270,31611,35723} B:139;G:123;R:110;A:255 ) ;
    RGB_Light_Yellow : TRGB = ( {65535,65535,57568} B:224;G:255;R:255;A:255 ) ;
    RGB_Light_Yellow1 : TRGB = ( {65535,65535,57568} B:224;G:255;R:255;A:255 ) ;
    RGB_Light_Yellow2 : TRGB = ( {61166,61166,53713} B:209;G:238;R:238;A:255 ) ;
    RGB_Light_Yellow3 : TRGB = ( {52685,52685,46260} B:180;G:205;R:205;A:255 ) ;
    RGB_Light_Yellow4 : TRGB = ( {35723,35723,31354} B:122;G:139;R:139;A:255 ) ;
    RGB_Lime_Green : TRGB = ( {12850,52685,12850} B:50;G:205;R:50;A:255 ) ;
    RGB_Linen : TRGB = ( {64250,61680,59110} B:230;G:240;R:250;A:255 ) ;
    RGB_Magenta : TRGB = ( {65535,0,65535} B:255;G:0;R:255;A:255 ) ;
    RGB_Magenta1 : TRGB = ( {65535,0,65535} B:255;G:0;R:255;A:255 ) ;
    RGB_Magenta2 : TRGB = ( {61166,0,61166} B:238;G:0;R:238;A:255 ) ;
    RGB_Magenta3 : TRGB = ( {52685,0,52685} B:205;G:0;R:205;A:255 ) ;
    RGB_Magenta4 : TRGB = ( {35723,0,35723} B:139;G:0;R:139;A:255 ) ;
    RGB_Manganese_Blue : TRGB = ( B:158;G:168;R:3;A:255 ) ;
    RGB_Maroon : TRGB = ( {45232,12336,24672} B:96;G:48;R:176;A:255 ) ;
    RGB_Maroon1 : TRGB = ( {65535,13364,46003} B:179;G:52;R:255;A:255 ) ;
    RGB_Maroon2 : TRGB = ( {61166,12336,42919} B:167;G:48;R:238;A:255 ) ;
    RGB_Maroon3 : TRGB = ( {52685,10537,37008} B:144;G:41;R:205;A:255 ) ;
    RGB_Maroon4 : TRGB = ( {35723,7196,25186} B:98;G:28;R:139;A:255 ) ;
    RGB_Medium_Aquamarine : TRGB = ( {26214,52685,43690} B:170;G:205;R:102;A:255 ) ;
    RGB_Medium_Blue : TRGB = ( {0,0,52685} B:205;G:0;R:0;A:255 ) ;
    RGB_Medium_Forest_Green : TRGB = ( {27392,36352,8960} B:35;G:142;R:107;A:255 ) ;
    RGB_Medium_Goldenrod : TRGB = ( {65535,48494,14417} B:56;G:189;R:255;A:255 ) ;
    RGB_Medium_Orchid : TRGB = ( {47802,21845,54227} B:211;G:85;R:186;A:255 ) ;
    RGB_Medium_Orchid1 : TRGB = ( {57568,26214,65535} B:255;G:102;R:224;A:255 ) ;
    RGB_Medium_Orchid2 : TRGB = ( {53713,24415,61166} B:238;G:95;R:209;A:255 ) ;
    RGB_Medium_Orchid3 : TRGB = ( {46260,21074,52685} B:205;G:82;R:180;A:255 ) ;
    RGB_Medium_Orchid4 : TRGB = ( {31354,14135,35723} B:139;G:55;R:122;A:255 ) ;
    RGB_Medium_Purple : TRGB = ( {37779,28784,56283} B:219;G:112;R:147;A:255 ) ;
    RGB_Medium_Purple1 : TRGB = ( {43947,33410,65535} B:255;G:130;R:171;A:255 ) ;
    RGB_Medium_Purple2 : TRGB = ( {40863,31097,61166} B:238;G:121;R:159;A:255 ) ;
    RGB_Medium_Purple3 : TRGB = ( {35209,26728,52685} B:205;G:104;R:137;A:255 ) ;
    RGB_Medium_Purple4 : TRGB = ( {23901,18247,35723} B:139;G:71;R:93;A:255 ) ;
    RGB_Medium_Sea_Green : TRGB = ( {15420,46003,29041} B:113;G:179;R:60;A:255 ) ;
    RGB_Medium_Slate_Blue : TRGB = ( {31611,26728,61166} B:238;G:104;R:123;A:255 ) ;
    RGB_Medium_Spring_Green : TRGB = ( {0,64250,39578} B:154;G:250;R:0;A:255 ) ;
    RGB_Medium_Turquoise : TRGB = ( {18504,53713,52428} B:204;G:209;R:72;A:255 ) ;
    RGB_Medium_Violet_Red : TRGB = ( {51143,5397,34181} B:133;G:21;R:199;A:255 ) ;
    RGB_Melon : TRGB = ( B:105;G:168;R:227;A:255 ) ;
    RGB_Midnight_Blue : TRGB = ( {6425,6425,28784} B:112;G:25;R:25;A:255 ) ;
    RGB_Mint_Cream : TRGB = ( {62965,65535,64250} B:250;G:255;R:245;A:255 ) ;
    RGB_Misty_Rose : TRGB = ( {65535,58596,57825} B:225;G:228;R:255;A:255 ) ;
    RGB_Misty_Rose1 : TRGB = ( {65535,58596,57825} B:225;G:228;R:255;A:255 ) ;
    RGB_Misty_Rose2 : TRGB = ( {61166,54741,53970} B:210;G:213;R:238;A:255 ) ;
    RGB_Misty_Rose3 : TRGB = ( {52685,47031,46517} B:181;G:183;R:205;A:255 ) ;
    RGB_Misty_Rose4 : TRGB = ( {35723,32125,31611} B:123;G:125;R:139;A:255 ) ;
    RGB_Moccasin : TRGB = ( {65535,58596,46517} B:181;G:228;R:255;A:255 ) ;
    RGB_Navajo_White : TRGB = ( {65535,57054,44461} B:173;G:222;R:255;A:255 ) ;
    RGB_Navajo_White1 : TRGB = ( {65535,57054,44461} B:173;G:222;R:255;A:255 ) ;
    RGB_Navajo_White2 : TRGB = ( {61166,53199,41377} B:161;G:207;R:238;A:255 ) ;
    RGB_Navajo_White3 : TRGB = ( {52685,46003,35723} B:139;G:179;R:205;A:255 ) ;
    RGB_Navajo_White4 : TRGB = ( {35723,31097,24158} B:94;G:121;R:139;A:255 ) ;
    RGB_Navy : TRGB = ( {0,0,32896} B:128;G:0;R:0;A:255 ) ;
    RGB_Navy_Blue : TRGB = ( {0,0,32896} B:128;G:0;R:0;A:255 ) ;
    RGB_Old_Lace : TRGB = ( {65021,62965,59110} B:230;G:245;R:253;A:255 ) ;
    RGB_Olive_Drab : TRGB = ( {27499,36494,8995} B:35;G:142;R:107;A:255 ) ;
    RGB_Olive_Drab1 : TRGB = ( {49344,65535,15934} B:62;G:255;R:192;A:255 ) ;
    RGB_Olive_Drab2 : TRGB = ( {46003,61166,14906} B:58;G:238;R:179;A:255 ) ;
    RGB_Olive_Drab3 : TRGB = ( {39578,52685,12850} B:50;G:205;R:154;A:255 ) ;
    RGB_Olive_Drab4 : TRGB = ( {26985,35723,8738} B:34;G:139;R:105;A:255 ) ;
    RGB_Orange : TRGB = ( {65535,42405,0} B:0;G:165;R:255;A:255 ) ;
    RGB_Orange1 : TRGB = ( {65535,42405,0} B:0;G:165;R:255;A:255 ) ;
    RGB_Orange2 : TRGB = ( {61166,39578,0} B:0;G:154;R:238;A:255 ) ;
    RGB_Orange3 : TRGB = ( {52685,34181,0} B:0;G:133;R:205;A:255 ) ;
    RGB_Orange4 : TRGB = ( {35723,23130,0} B:0;G:90;R:139;A:255 ) ;
    RGB_Orange_Red : TRGB = ( {65535,17733,0} B:0;G:69;R:255;A:255 ) ;
    RGB_Orange_Red1 : TRGB = ( {65535,17733,0} B:0;G:69;R:255;A:255 ) ;
    RGB_Orange_Red2 : TRGB = ( {61166,16448,0} B:0;G:64;R:238;A:255 ) ;
    RGB_Orange_Red3 : TRGB = ( {52685,14135,0} B:0;G:55;R:205;A:255 ) ;
    RGB_Orange_Red4 : TRGB = ( {35723,9509,0} B:0;G:37;R:139;A:255 ) ;
    RGB_Orchid : TRGB = ( {56026,28784,54998} B:214;G:112;R:218;A:255 ) ;
    RGB_Orchid1 : TRGB = ( {65535,33667,64250} B:250;G:131;R:255;A:255 ) ;
    RGB_Orchid2 : TRGB = ( {61166,31354,59881} B:233;G:122;R:238;A:255 ) ;
    RGB_Orchid3 : TRGB = ( {52685,26985,51657} B:201;G:105;R:205;A:255 ) ;
    RGB_Orchid4 : TRGB = ( {35723,18247,35209} B:137;G:71;R:139;A:255 ) ;
    RGB_Pale_Goldenrod : TRGB = ( {61166,59624,43690} B:170;G:232;R:238;A:255 ) ;
    RGB_Pale_Green : TRGB = ( {39064,64507,39064} B:152;G:251;R:152;A:255 ) ;
    RGB_Pale_Green1 : TRGB = ( {39578,65535,39578} B:154;G:255;R:154;A:255 ) ;
    RGB_Pale_Green2 : TRGB = ( {37008,61166,37008} B:144;G:238;R:144;A:255 ) ;
    RGB_Pale_Green3 : TRGB = ( {31868,52685,31868} B:124;G:205;R:124;A:255 ) ;
    RGB_Pale_Green4 : TRGB = ( {21588,35723,21588} B:84;G:139;R:84;A:255 ) ;
    RGB_Pale_Turquoise : TRGB = ( {44975,61166,61166} B:238;G:238;R:175;A:255 ) ;
    RGB_Pale_Turquoise1 : TRGB = ( {48059,65535,65535} B:255;G:255;R:187;A:255 ) ;
    RGB_Pale_Turquoise2 : TRGB = ( {44718,61166,61166} B:238;G:238;R:174;A:255 ) ;
    RGB_Pale_Turquoise3 : TRGB = ( {38550,52685,52685} B:205;G:205;R:150;A:255 ) ;
    RGB_Pale_Turquoise4 : TRGB = ( {26214,35723,35723} B:139;G:139;R:102;A:255 ) ;
    RGB_Pale_Violet_Red : TRGB = ( {56283,28784,37779} B:147;G:112;R:219;A:255 ) ;
    RGB_Pale_Violet_Red1 : TRGB = ( {65535,33410,43947} B:171;G:130;R:255;A:255 ) ;
    RGB_Pale_Violet_Red2 : TRGB = ( {61166,31097,40863} B:159;G:121;R:238;A:255 ) ;
    RGB_Pale_Violet_Red3 : TRGB = ( {52685,26728,35209} B:137;G:104;R:205;A:255 ) ;
    RGB_Pale_Violet_Red4 : TRGB = ( {35723,18247,23901} B:93;G:71;R:139;A:255 ) ;
    RGB_Papaya_Whip : TRGB = ( {65535,61423,54741} B:213;G:239;R:255;A:255 ) ;
    RGB_Peach_Puff : TRGB = ( {65535,56026,47545} B:185;G:218;R:255;A:255 ) ;
    RGB_Peach_Puff1 : TRGB = ( {65535,56026,47545} B:185;G:218;R:255;A:255 ) ;
    RGB_Peach_Puff2 : TRGB = ( {61166,52171,44461} B:173;G:203;R:238;A:255 ) ;
    RGB_Peach_Puff3 : TRGB = ( {52685,44975,38293} B:149;G:175;R:205;A:255 ) ;
    RGB_Peach_Puff4 : TRGB = ( {35723,30583,25957} B:101;G:119;R:139;A:255 ) ;
    RGB_Peacock : TRGB = ( B:201;G:161;R:51;A:255 ) ;
    RGB_Peru : TRGB = ( {52685,34181,16191} B:63;G:133;R:205;A:255 ) ;
    RGB_Pink : TRGB = ( {65535,49344,52171} B:203;G:192;R:255;A:255 ) ;
    RGB_Pink1 : TRGB = ( {65535,46517,50629} B:197;G:181;R:255;A:255 ) ;
    RGB_Pink2 : TRGB = ( {61166,43433,47288} B:184;G:169;R:238;A:255 ) ;
    RGB_Pink3 : TRGB = ( {52685,37265,40606} B:158;G:145;R:205;A:255 ) ;
    RGB_Pink4 : TRGB = ( {35723,25443,27756} B:108;G:99;R:139;A:255 ) ;
    RGB_Plum : TRGB = ( {56797,41120,56797} B:221;G:160;R:221;A:255 ) ;
    RGB_Plum1 : TRGB = ( {65535,48059,65535} B:255;G:187;R:255;A:255 ) ;
    RGB_Plum2 : TRGB = ( {61166,44718,61166} B:238;G:174;R:238;A:255 ) ;
    RGB_Plum3 : TRGB = ( {52685,38550,52685} B:205;G:150;R:205;A:255 ) ;
    RGB_Plum4 : TRGB = ( {35723,26214,35723} B:139;G:102;R:139;A:255 ) ;
    RGB_Powder_Blue : TRGB = ( {45232,57568,59110} B:230;G:224;R:176;A:255 ) ;
    RGB_Puce : TRGB = ( B:60;G:11;R:86;A:255 ) ;
    RGB_Purple : TRGB = ( {41120,8224,61680} B:240;G:32;R:160;A:255 ) ;
    RGB_Purple1 : TRGB = ( {39835,12336,65535} B:255;G:48;R:155;A:255 ) ;
    RGB_Purple2 : TRGB = ( {37265,11308,61166} B:238;G:44;R:145;A:255 ) ;
    RGB_Purple3 : TRGB = ( {32125,9766,52685} B:205;G:38;R:125;A:255 ) ;
    RGB_Purple4 : TRGB = ( {21845,6682,35723} B:139;G:26;R:85;A:255 ) ;
    RGB_Raspberry : TRGB = ( B:87;G:38;R:135;A:255 ) ;
    RGB_Raw_Sienna : TRGB = ( B:20;G:97;R:199;A:255 ) ;
    RGB_Raw_Umber : TRGB = ( B:18;G:74;R:115;A:255 ) ;
    RGB_Red : TRGB = ( {65535,0,0} B:0;G:0;R:255;A:255 ) ;
    RGB_Red1 : TRGB = ( {65535,0,0} B:0;G:0;R:255;A:255 ) ;
    RGB_Red2 : TRGB = ( {61166,0,0} B:0;G:0;R:238;A:255 ) ;
    RGB_Red3 : TRGB = ( {52685,0,0} B:0;G:0;R:205;A:255 ) ;
    RGB_Red4 : TRGB = ( {35723,0,0} B:0;G:0;R:139;A:255 ) ;
    RGB_Rosy_Brown : TRGB = ( {48316,36751,36751} B:143;G:143;R:188;A:255 ) ;
    RGB_Rosy_Brown1 : TRGB = ( {65535,49601,49601} B:193;G:193;R:255;A:255 ) ;
    RGB_Rosy_Brown2 : TRGB = ( {61166,46260,46260} B:180;G:180;R:238;A:255 ) ;
    RGB_Rosy_Brown3 : TRGB = ( {52685,39835,39835} B:155;G:155;R:205;A:255 ) ;
    RGB_Rosy_Brown4 : TRGB = ( {35723,26985,26985} B:105;G:105;R:139;A:255 ) ;
    RGB_Royal_Blue : TRGB = ( {16705,26985,57825} B:225;G:105;R:65;A:255 ) ;
    RGB_Royal_Blue1 : TRGB = ( {18504,30326,65535} B:255;G:118;R:72;A:255 ) ;
    RGB_Royal_Blue2 : TRGB = ( {17219,28270,61166} B:238;G:110;R:67;A:255 ) ;
    RGB_Royal_Blue3 : TRGB = ( {14906,24415,52685} B:205;G:95;R:58;A:255 ) ;
    RGB_Royal_Blue4 : TRGB = ( {10023,16448,35723} B:139;G:64;R:39;A:255 ) ;
    RGB_Saddle_Brown : TRGB = ( {35723,17733,4883} B:19;G:69;R:139;A:255 ) ;
    RGB_Salmon : TRGB = ( {64250,32896,29298} B:114;G:128;R:250;A:255 ) ;
    RGB_Salmon1 : TRGB = ( {65535,35980,26985} B:105;G:140;R:255;A:255 ) ;
    RGB_Salmon2 : TRGB = ( {61166,33410,25186} B:98;G:130;R:238;A:255 ) ;
    RGB_Salmon3 : TRGB = ( {52685,28784,21588} B:84;G:112;R:205;A:255 ) ;
    RGB_Salmon4 : TRGB = ( {35723,19532,14649} B:57;G:76;R:139;A:255 ) ;
    RGB_Sandy_Brown : TRGB = ( {62708,42148,24672} B:96;G:164;R:244;A:255 ) ;
    RGB_Sap_Green : TRGB = ( B:20;G:128;R:48;A:255 ) ;
    RGB_Sea_Green : TRGB = ( {11822,35723,22359} B:87;G:139;R:46;A:255 ) ;
    RGB_Sea_Green1 : TRGB = ( {21588,65535,40863} B:159;G:255;R:84;A:255 ) ;
    RGB_Sea_Green2 : TRGB = ( {20046,61166,38036} B:148;G:238;R:78;A:255 ) ;
    RGB_Sea_Green3 : TRGB = ( {17219,52685,32896} B:128;G:205;R:67;A:255 ) ;
    RGB_Sea_Green4 : TRGB = ( {11822,35723,22359} B:87;G:139;R:46;A:255 ) ;
    RGB_Seashell : TRGB = ( {65535,62965,61166} B:238;G:245;R:255;A:255 ) ;
    RGB_Seashell1 : TRGB = ( {65535,62965,61166} B:238;G:245;R:255;A:255 ) ;
    RGB_Seashell2 : TRGB = ( {61166,58853,57054} B:222;G:229;R:238;A:255 ) ;
    RGB_Seashell3 : TRGB = ( {52685,50629,49087} B:191;G:197;R:205;A:255 ) ;
    RGB_Seashell4 : TRGB = ( {35723,34438,33410} B:130;G:134;R:139;A:255 ) ;
    RGB_Sepia : TRGB = ( B:18;G:38;R:94;A:255 ) ;
    RGB_Sienna : TRGB = ( {41120,21074,11565} B:45;G:82;R:160;A:255 ) ;
    RGB_Sienna1 : TRGB = ( {65535,33410,18247} B:71;G:130;R:255;A:255 ) ;
    RGB_Sienna2 : TRGB = ( {61166,31097,16962} B:66;G:121;R:238;A:255 ) ;
    RGB_Sienna3 : TRGB = ( {52685,26728,14649} B:57;G:104;R:205;A:255 ) ;
    RGB_Sienna4 : TRGB = ( {35723,18247,9766} B:38;G:71;R:139;A:255 ) ;
    RGB_Sky_Blue : TRGB = ( {34695,52942,60395} B:235;G:206;R:135;A:255 ) ;
    RGB_Sky_Blue1 : TRGB = ( {34695,52942,65535} B:255;G:206;R:135;A:255 ) ;
    RGB_Sky_Blue2 : TRGB = ( {32382,49344,61166} B:238;G:192;R:126;A:255 ) ;
    RGB_Sky_Blue3 : TRGB = ( {27756,42662,52685} B:205;G:166;R:108;A:255 ) ;
    RGB_Sky_Blue4 : TRGB = ( {19018,28784,35723} B:139;G:112;R:74;A:255 ) ;
    RGB_Slate_Blue : TRGB = ( {27242,23130,52685} B:205;G:90;R:106;A:255 ) ;
    RGB_Slate_Blue1 : TRGB = ( {33667,28527,65535} B:255;G:111;R:131;A:255 ) ;
    RGB_Slate_Blue2 : TRGB = ( {31354,26471,61166} B:238;G:103;R:122;A:255 ) ;
    RGB_Slate_Blue3 : TRGB = ( {26985,22873,52685} B:205;G:89;R:105;A:255 ) ;
    RGB_Slate_Blue4 : TRGB = ( {18247,15420,35723} B:139;G:60;R:71;A:255 ) ;
    RGB_Slate_Gray : TRGB = ( {28784,32896,37008} B:144;G:128;R:112;A:255 ) ;
    RGB_Slate_Gray1 : TRGB = ( {50886,58082,65535} B:255;G:226;R:198;A:255 ) ;
    RGB_Slate_Gray2 : TRGB = ( {47545,54227,61166} B:238;G:211;R:185;A:255 ) ;
    RGB_Slate_Gray3 : TRGB = ( {40863,46774,52685} B:205;G:182;R:159;A:255 ) ;
    RGB_Slate_Gray4 : TRGB = ( {27756,31611,35723} B:139;G:123;R:108;A:255 ) ;
    RGB_Snow : TRGB = ( {65535,64250,64250} B:250;G:250;R:255;A:255 ) ;
    RGB_Snow1 : TRGB = ( {65535,64250,64250} B:250;G:250;R:255;A:255 ) ;
    RGB_Snow2 : TRGB = ( {61166,59881,59881} B:233;G:233;R:238;A:255 ) ;
    RGB_Snow3 : TRGB = ( {52685,51657,51657} B:201;G:201;R:205;A:255 ) ;
    RGB_Snow4 : TRGB = ( {35723,35209,35209} B:137;G:137;R:139;A:255 ) ;
    RGB_Spring_Green : TRGB = ( {0,65535,32639} B:127;G:255;R:0;A:255 ) ;
    RGB_Spring_Green1 : TRGB = ( {0,65535,32639} B:127;G:255;R:0;A:255 ) ;
    RGB_Spring_Green2 : TRGB = ( {0,61166,30326} B:118;G:238;R:0;A:255 ) ;
    RGB_Spring_Green3 : TRGB = ( {0,52685,26214} B:102;G:205;R:0;A:255 ) ;
    RGB_Spring_Green4 : TRGB = ( {0,35723,17733} B:69;G:139;R:0;A:255 ) ;
    RGB_Steel_Blue : TRGB = ( {17990,33410,46260} B:180;G:130;R:70;A:255 ) ;
    RGB_Steel_Blue1 : TRGB = ( {25443,47288,65535} B:255;G:184;R:99;A:255 ) ;
    RGB_Steel_Blue2 : TRGB = ( {23644,44204,61166} B:238;G:172;R:92;A:255 ) ;
    RGB_Steel_Blue3 : TRGB = ( {20303,38036,52685} B:205;G:148;R:79;A:255 ) ;
    RGB_Steel_Blue4 : TRGB = ( {13878,25700,35723} B:139;G:100;R:54;A:255 ) ;
    RGB_Tan : TRGB = ( {53970,46260,35980} B:140;G:180;R:210;A:255 ) ;
    RGB_Tan1 : TRGB = ( {65535,42405,20303} B:79;G:165;R:255;A:255 ) ;
    RGB_Tan2 : TRGB = ( {61166,39578,18761} B:73;G:154;R:238;A:255 ) ;
    RGB_Tan3 : TRGB = ( {52685,34181,16191} B:63;G:133;R:205;A:255 ) ;
    RGB_Tan4 : TRGB = ( {35723,23130,11051} B:43;G:90;R:139;A:255 ) ;
    RGB_Terre_Verte : TRGB = ( B:239;G:133;R:0;A:255 ) ;
    RGB_Thistle : TRGB = ( {55512,49087,55512} B:216;G:191;R:216;A:255 ) ;
    RGB_Thistle1 : TRGB = ( {65535,57825,65535} B:255;G:225;R:255;A:255 ) ;
    RGB_Thistle2 : TRGB = ( {61166,53970,61166} B:238;G:210;R:238;A:255 ) ;
    RGB_Thistle3 : TRGB = ( {52685,46517,52685} B:205;G:181;R:205;A:255 ) ;
    RGB_Thistle4 : TRGB = ( {35723,31611,35723} B:139;G:123;R:139;A:255 ) ;
    RGB_Tomato : TRGB = ( {65535,25443,18247} B:71;G:99;R:255;A:255 ) ;
    RGB_Tomato1 : TRGB = ( {65535,25443,18247} B:71;G:99;R:255;A:255 ) ;
    RGB_Tomato2 : TRGB = ( {61166,23644,16962} B:66;G:92;R:238;A:255 ) ;
    RGB_Tomato3 : TRGB = ( {52685,20303,14649} B:57;G:79;R:205;A:255 ) ;
    RGB_Tomato4 : TRGB = ( {35723,13878,9766} B:38;G:54;R:139;A:255 ) ;
    RGB_Turquoise : TRGB = ( {16448,57568,53456} B:208;G:224;R:64;A:255 ) ;
    RGB_Turquoise1 : TRGB = ( {0,62965,65535} B:255;G:245;R:0;A:255 ) ;
    RGB_Turquoise2 : TRGB = ( {0,58853,61166} B:238;G:229;R:0;A:255 ) ;
    RGB_Turquoise3 : TRGB = ( {0,50629,52685} B:205;G:197;R:0;A:255 ) ;
    RGB_Turquoise4 : TRGB = ( {0,34438,35723} B:139;G:134;R:0;A:255 ) ;
    RGB_Ultramarine : TRGB = ( B:143;G:42;R:0;A:255 ) ;
    RGB_Violet : TRGB = ( {61166,33410,61166} B:238;G:130;R:238;A:255 ) ;
    RGB_Violet_Red : TRGB = ( {53456,8224,37008} B:144;G:32;R:208;A:255 ) ;
    RGB_Violet_Red1 : TRGB = ( {65535,15934,38550} B:150;G:62;R:255;A:255 ) ;
    RGB_Violet_Red2 : TRGB = ( {61166,14906,35980} B:140;G:58;R:238;A:255 ) ;
    RGB_Violet_Red3 : TRGB = ( {52685,12850,30840} B:120;G:50;R:205;A:255 ) ;
    RGB_Violet_Red4 : TRGB = ( {35723,8738,21074} B:82;G:34;R:139;A:255 ) ;
    RGB_Wheat : TRGB = ( {62965,57054,46003} B:179;G:222;R:245;A:255 ) ;
    RGB_Wheat1 : TRGB = ( {65535,59367,47802} B:186;G:231;R:255;A:255 ) ;
    RGB_Wheat2 : TRGB = ( {61166,55512,44718} B:174;G:216;R:238;A:255 ) ;
    RGB_Wheat3 : TRGB = ( {52685,47802,38550} B:150;G:186;R:205;A:255 ) ;
    RGB_Wheat4 : TRGB = ( {35723,32382,26214} B:102;G:126;R:139;A:255 ) ;
    RGB_White : TRGB = ( {65535,65535,65535} B:255;G:255;R:255;A:255 ) ;
    RGB_White_Smoke : TRGB = ( {62965,62965,62965} B:245;G:245;R:245;A:255 ) ;
    RGB_Yellow : TRGB = ( {65535,65535,0} B:0;G:255;R:255;A:255 ) ;
    RGB_Yellow1 : TRGB = ( {65535,65535,0} B:0;G:255;R:255;A:255 ) ;
    RGB_Yellow2 : TRGB = ( {61166,61166,0} B:0;G:238;R:238;A:255 ) ;
    RGB_Yellow3 : TRGB = ( {52685,52685,0} B:0;G:205;R:205;A:255 ) ;
    RGB_Yellow4 : TRGB = ( {5723,35723,0} B:0;G:139;R:139;A:255 ) ;
    RGB_Yellow_Green : TRGB = ( {39578,52685,12850} B:50;G:205;R:154;A:255 ) ;

implementation

end.
