.RADIX  10
.8086

;              Program Name : CRLF
;              Package Name : LB
;              Purpose      : Output a CR and LF to the screen
;              Institution  : Conroy & Conroy Company
;              Date Written : 04-Apr-86
;              Written By   : Alan Conroy
;              Version      : 9.2-10
;
;        *********************************************************
;        *                                                       *
;        *        M O D I F I C A T I O N   H I S T O R Y        *
;        *                                                       *
;        *     DATE      BY             REASON                   *
;        *                                                       *
;        *********************************************************
;
;        *********************************************************
;        *                                                       *
;        *           P R O G R A M   P U R P O S E               *
;        *                                                       *
;        *********************************************************
;
; This routine outputs a CRLF to the screen.  No data is passed or
; returned.  CCPOS is reset to zero (0).
;

CRLF:   PUSH  DX    ; Save registers
        PUSHF
        MOV   DL,_CR ; CR
        CALL  OUTR
        MOV   DL,_LF ; LF
        CALL  OUTR
        POPF        ; Restore registers
        POP   DX
        RET         ; All done

	END
