{
        Program Name : WinAPI
        Package Name : LB
        Purpose      : Windows API wrappers
        Institution  : Conroy & Conroy Co.
        Date Written : 28-July-2004
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2004 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

}

unit WinAPI ;

interface

uses // Borland...
     Windows,
     SysUtils ; // Exception

function GetDC( Handle : HWND ) : HDC ;

implementation

{$IFDEF Debug}
procedure Show_Error( const S : string ) ;

begin
    try
        //raise Exception.Create( S + ' - ' + inttostr( GetLastError ) ) ;
    except
    end ;
end ;
{$ENDIF}


function GetDC( Handle : HWND ) : HDC ;

begin
{$IFDEF Debug}
    if( Handle = 0 ) then
    begin
        Show_Error( 'GetDC called with incorrect window handle' ) ;
    end ;
{$ENDIF}
    Result := Windows.GetDC( Handle ) ;
{$IFDEF Debug}
    if( Result = 0 ) then
    begin
        Show_Error( 'GetDC failed' ) ;
    end ;
{$ENDIF}
end ;


end.
