/* 
              Program Name : XLATE
              Package Name : LB
              Purpose      : Translate filename based on wildcard spec.
              Institution  : Conroy & Conroy Co.
              Date Written : 04-Apr-1992
              Written By   : Alan Conroy
              Version      : 2.0

	      Copyright (C) 1992 by Alan Conroy.  Released to the public domain.

		TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *********************************************************
        *                                                       *
        *        M O D I F I C A T I O N   H I S T O R Y        *
        *                                                       *
        *     DATE      BY             REASON                   *
        *                                                       *
        *********************************************************

        *********************************************************
        *                                                       *
        *           P R O G R A M   P U R P O S E               *
        *                                                       *
        *********************************************************

	  These functions handle matching wildcards.

*/

char *Wc_Xlate( char *Passed_Reference, char *Passed_Filename,
    char *Passed_Wildcard );
/* Translate a wildcard specification and an input file to an output spec. */

int Wc_Match( char *Passed_Wildcard, char *Passed_Filename );
/* Compare a filename and a wildcard specification and return TRUE if a match. */
