{
        Program Name : Null
        Package Name : CEF
        Purpose      : Null component
        Institution  : Conroy & Conroy Co.
        Date Written : 23-July-2005
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2005 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          Provides a "null" component for CEF.
}

library Null ;

uses
  Forms,
  App,
  CEF ;

{$R *.res}

function Facility_Code : integer ; stdcall ;

begin
    Result := -1 ;
end ;


function Make_Instance( Serial_Number : integer ;
    UI : TUI_Interface ) : TComponent ; stdcall ;

begin
    Result := TComponent.Create ;
    Result.Initialize( UI ) ;
end ;


function Version : longint ;

begin
    Version := 20 ; // Version 2.0
end ;


{$WARNINGS OFF}
exports Facility_Code index 0,
        Make_Instance index 1,
        Version index 2 ;
{$WARNINGS ON}


end.

