library Z80 ;

{$R *.RES}

uses
  CEF,
  Z80CPU in 'Z80CPU.pas',
  New_Watch in '..\shared\New_Watch.pas' {New_Watch_Dialog},
  Conditions_Dlg in '..\Shared\Conditions_Dlg.pas' {Conditions_Form},
  Trace_Log_Dlg in '..\Shared\Trace_Log_Dlg.pas' {Trace_Log_Form},
  Trace_Dlg in '..\Shared\Trace_Dlg.pas' {Trace_Form};

// TZ80

function Facility_Code : longint ; stdcall ;

begin
    Result := 42 ;
end ;


function Make_Instance( Serial_Number : longint ; UI : TUI_Interface ) : TZ80 ;
    stdcall ;

begin
    Result := TZ80.Create ;
    Result.Initialize( UI ) ;
    Result._Serial_Number := Serial_Number ;
end ;


function Version : longint ;

begin
    Version := 20 ; // Version 2.0
end ;


{$WARNINGS OFF}
exports Facility_Code index 0,
        Make_Instance index 1,
        Version index 2 ;
{$WARNINGS ON}


end.
